/*   
 * Copyright (C) 2003 Robert Kooima
 *
 * NEVERBALL is  free software; you can redistribute  it and/or modify
 * it under the  terms of the GNU General  Public License as published
 * by the Free  Software Foundation; either version 2  of the License,
 * or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT  ANY  WARRANTY;  without   even  the  implied  warranty  of
 * MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.   See the GNU
 * General Public License for more details.
 */

#ifndef NB_MATRIX_H
#define NB_MATRIX_H

#define V_RAD(d) (d * M_PI / 180.f)

class Vector3;

void   m_xps(float *, const float *);
int    m_inv(float *, const float *);

void   m_basis(float *, const Vector3 &,
			const Vector3 &,
			const Vector3 &);

void   m_rot(float *, const Vector3 &, float);

Vector3 m_vxfm(const float *, const Vector3 &);

#endif
