/* KeySym <-> wchar_t translation (generated from <X11/keysymdef.h>)
   Copyright (C) 2013 Roland Lutz

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */

#include "keysym_glyph.h"


KeySym lookup_glyph_keysym(wchar_t ch)
{
    switch (ch) {
    case 0x0020: return 0x20;
    case 0x0021: return 0x21;
    case 0x0022: return 0x22;
    case 0x0023: return 0x23;
    case 0x0024: return 0x24;
    case 0x0025: return 0x25;
    case 0x0026: return 0x26;
    case 0x0027: return 0x27;
    case 0x0028: return 0x28;
    case 0x0029: return 0x29;
    case 0x002a: return 0x2a;
    case 0x002b: return 0x2b;
    case 0x002c: return 0x2c;
    case 0x002d: return 0x2d;
    case 0x002e: return 0x2e;
    case 0x002f: return 0x2f;
    case 0x0030: return 0x30;
    case 0x0031: return 0x31;
    case 0x0032: return 0x32;
    case 0x0033: return 0x33;
    case 0x0034: return 0x34;
    case 0x0035: return 0x35;
    case 0x0036: return 0x36;
    case 0x0037: return 0x37;
    case 0x0038: return 0x38;
    case 0x0039: return 0x39;
    case 0x003a: return 0x3a;
    case 0x003b: return 0x3b;
    case 0x003c: return 0x3c;
    case 0x003d: return 0x3d;
    case 0x003e: return 0x3e;
    case 0x003f: return 0x3f;
    case 0x0040: return 0x40;
    case 0x0041: return 0x41;
    case 0x0042: return 0x42;
    case 0x0043: return 0x43;
    case 0x0044: return 0x44;
    case 0x0045: return 0x45;
    case 0x0046: return 0x46;
    case 0x0047: return 0x47;
    case 0x0048: return 0x48;
    case 0x0049: return 0x49;
    case 0x004a: return 0x4a;
    case 0x004b: return 0x4b;
    case 0x004c: return 0x4c;
    case 0x004d: return 0x4d;
    case 0x004e: return 0x4e;
    case 0x004f: return 0x4f;
    case 0x0050: return 0x50;
    case 0x0051: return 0x51;
    case 0x0052: return 0x52;
    case 0x0053: return 0x53;
    case 0x0054: return 0x54;
    case 0x0055: return 0x55;
    case 0x0056: return 0x56;
    case 0x0057: return 0x57;
    case 0x0058: return 0x58;
    case 0x0059: return 0x59;
    case 0x005a: return 0x5a;
    case 0x005b: return 0x5b;
    case 0x005c: return 0x5c;
    case 0x005d: return 0x5d;
    case 0x005e: return 0x5e;
    case 0x005f: return 0x5f;
    case 0x0060: return 0x60;
    case 0x0061: return 0x61;
    case 0x0062: return 0x62;
    case 0x0063: return 0x63;
    case 0x0064: return 0x64;
    case 0x0065: return 0x65;
    case 0x0066: return 0x66;
    case 0x0067: return 0x67;
    case 0x0068: return 0x68;
    case 0x0069: return 0x69;
    case 0x006a: return 0x6a;
    case 0x006b: return 0x6b;
    case 0x006c: return 0x6c;
    case 0x006d: return 0x6d;
    case 0x006e: return 0x6e;
    case 0x006f: return 0x6f;
    case 0x0070: return 0x70;
    case 0x0071: return 0x71;
    case 0x0072: return 0x72;
    case 0x0073: return 0x73;
    case 0x0074: return 0x74;
    case 0x0075: return 0x75;
    case 0x0076: return 0x76;
    case 0x0077: return 0x77;
    case 0x0078: return 0x78;
    case 0x0079: return 0x79;
    case 0x007a: return 0x7a;
    case 0x007b: return 0x7b;
    case 0x007c: return 0x7c;
    case 0x007d: return 0x7d;
    case 0x007e: return 0x7e;
    case 0x00a0: return 0xa0;
    case 0x00a1: return 0xa1;
    case 0x00a2: return 0xa2;
    case 0x00a3: return 0xa3;
    case 0x00a4: return 0xa4;
    case 0x00a5: return 0xa5;
    case 0x00a6: return 0xa6;
    case 0x00a7: return 0xa7;
    case 0x00a8: return 0xa8;
    case 0x00a9: return 0xa9;
    case 0x00aa: return 0xaa;
    case 0x00ab: return 0xab;
    case 0x00ac: return 0xac;
    case 0x00ad: return 0xad;
    case 0x00ae: return 0xae;
    case 0x00af: return 0xaf;
    case 0x00b0: return 0xb0;
    case 0x00b1: return 0xb1;
    case 0x00b2: return 0xb2;
    case 0x00b3: return 0xb3;
    case 0x00b4: return 0xb4;
    case 0x00b5: return 0xb5;
    case 0x00b6: return 0xb6;
    case 0x00b7: return 0xb7;
    case 0x00b8: return 0xb8;
    case 0x00b9: return 0xb9;
    case 0x00ba: return 0xba;
    case 0x00bb: return 0xbb;
    case 0x00bc: return 0xbc;
    case 0x00bd: return 0xbd;
    case 0x00be: return 0xbe;
    case 0x00bf: return 0xbf;
    case 0x00c0: return 0xc0;
    case 0x00c1: return 0xc1;
    case 0x00c2: return 0xc2;
    case 0x00c3: return 0xc3;
    case 0x00c4: return 0xc4;
    case 0x00c5: return 0xc5;
    case 0x00c6: return 0xc6;
    case 0x00c7: return 0xc7;
    case 0x00c8: return 0xc8;
    case 0x00c9: return 0xc9;
    case 0x00ca: return 0xca;
    case 0x00cb: return 0xcb;
    case 0x00cc: return 0xcc;
    case 0x00cd: return 0xcd;
    case 0x00ce: return 0xce;
    case 0x00cf: return 0xcf;
    case 0x00d0: return 0xd0;
    case 0x00d1: return 0xd1;
    case 0x00d2: return 0xd2;
    case 0x00d3: return 0xd3;
    case 0x00d4: return 0xd4;
    case 0x00d5: return 0xd5;
    case 0x00d6: return 0xd6;
    case 0x00d7: return 0xd7;
    case 0x00d8: return 0xd8;
    case 0x00d9: return 0xd9;
    case 0x00da: return 0xda;
    case 0x00db: return 0xdb;
    case 0x00dc: return 0xdc;
    case 0x00dd: return 0xdd;
    case 0x00de: return 0xde;
    case 0x00df: return 0xdf;
    case 0x00e0: return 0xe0;
    case 0x00e1: return 0xe1;
    case 0x00e2: return 0xe2;
    case 0x00e3: return 0xe3;
    case 0x00e4: return 0xe4;
    case 0x00e5: return 0xe5;
    case 0x00e6: return 0xe6;
    case 0x00e7: return 0xe7;
    case 0x00e8: return 0xe8;
    case 0x00e9: return 0xe9;
    case 0x00ea: return 0xea;
    case 0x00eb: return 0xeb;
    case 0x00ec: return 0xec;
    case 0x00ed: return 0xed;
    case 0x00ee: return 0xee;
    case 0x00ef: return 0xef;
    case 0x00f0: return 0xf0;
    case 0x00f1: return 0xf1;
    case 0x00f2: return 0xf2;
    case 0x00f3: return 0xf3;
    case 0x00f4: return 0xf4;
    case 0x00f5: return 0xf5;
    case 0x00f6: return 0xf6;
    case 0x00f7: return 0xf7;
    case 0x00f8: return 0xf8;
    case 0x00f9: return 0xf9;
    case 0x00fa: return 0xfa;
    case 0x00fb: return 0xfb;
    case 0x00fc: return 0xfc;
    case 0x00fd: return 0xfd;
    case 0x00fe: return 0xfe;
    case 0x00ff: return 0xff;
    case 0x0100: return 0x3c0;
    case 0x0101: return 0x3e0;
    case 0x0102: return 0x1c3;
    case 0x0103: return 0x1e3;
    case 0x0104: return 0x1a1;
    case 0x0105: return 0x1b1;
    case 0x0106: return 0x1c6;
    case 0x0107: return 0x1e6;
    case 0x0108: return 0x2c6;
    case 0x0109: return 0x2e6;
    case 0x010a: return 0x2c5;
    case 0x010b: return 0x2e5;
    case 0x010c: return 0x1c8;
    case 0x010d: return 0x1e8;
    case 0x010e: return 0x1cf;
    case 0x010f: return 0x1ef;
    case 0x0110: return 0x1d0;
    case 0x0111: return 0x1f0;
    case 0x0112: return 0x3aa;
    case 0x0113: return 0x3ba;
    case 0x0116: return 0x3cc;
    case 0x0117: return 0x3ec;
    case 0x0118: return 0x1ca;
    case 0x0119: return 0x1ea;
    case 0x011a: return 0x1cc;
    case 0x011b: return 0x1ec;
    case 0x011c: return 0x2d8;
    case 0x011d: return 0x2f8;
    case 0x011e: return 0x2ab;
    case 0x011f: return 0x2bb;
    case 0x0120: return 0x2d5;
    case 0x0121: return 0x2f5;
    case 0x0122: return 0x3ab;
    case 0x0123: return 0x3bb;
    case 0x0124: return 0x2a6;
    case 0x0125: return 0x2b6;
    case 0x0126: return 0x2a1;
    case 0x0127: return 0x2b1;
    case 0x0128: return 0x3a5;
    case 0x0129: return 0x3b5;
    case 0x012a: return 0x3cf;
    case 0x012b: return 0x3ef;
    case 0x012c: return 0x100012c;
    case 0x012d: return 0x100012d;
    case 0x012e: return 0x3c7;
    case 0x012f: return 0x3e7;
    case 0x0130: return 0x2a9;
    case 0x0131: return 0x2b9;
    case 0x0134: return 0x2ac;
    case 0x0135: return 0x2bc;
    case 0x0136: return 0x3d3;
    case 0x0137: return 0x3f3;
    case 0x0138: return 0x3a2;
    case 0x0139: return 0x1c5;
    case 0x013a: return 0x1e5;
    case 0x013b: return 0x3a6;
    case 0x013c: return 0x3b6;
    case 0x013d: return 0x1a5;
    case 0x013e: return 0x1b5;
    case 0x0141: return 0x1a3;
    case 0x0142: return 0x1b3;
    case 0x0143: return 0x1d1;
    case 0x0144: return 0x1f1;
    case 0x0145: return 0x3d1;
    case 0x0146: return 0x3f1;
    case 0x0147: return 0x1d2;
    case 0x0148: return 0x1f2;
    case 0x014a: return 0x3bd;
    case 0x014b: return 0x3bf;
    case 0x014c: return 0x3d2;
    case 0x014d: return 0x3f2;
    case 0x0150: return 0x1d5;
    case 0x0151: return 0x1f5;
    case 0x0152: return 0x13bc;
    case 0x0153: return 0x13bd;
    case 0x0154: return 0x1c0;
    case 0x0155: return 0x1e0;
    case 0x0156: return 0x3a3;
    case 0x0157: return 0x3b3;
    case 0x0158: return 0x1d8;
    case 0x0159: return 0x1f8;
    case 0x015a: return 0x1a6;
    case 0x015b: return 0x1b6;
    case 0x015c: return 0x2de;
    case 0x015d: return 0x2fe;
    case 0x015e: return 0x1aa;
    case 0x015f: return 0x1ba;
    case 0x0160: return 0x1a9;
    case 0x0161: return 0x1b9;
    case 0x0162: return 0x1de;
    case 0x0163: return 0x1fe;
    case 0x0164: return 0x1ab;
    case 0x0165: return 0x1bb;
    case 0x0166: return 0x3ac;
    case 0x0167: return 0x3bc;
    case 0x0168: return 0x3dd;
    case 0x0169: return 0x3fd;
    case 0x016a: return 0x3de;
    case 0x016b: return 0x3fe;
    case 0x016c: return 0x2dd;
    case 0x016d: return 0x2fd;
    case 0x016e: return 0x1d9;
    case 0x016f: return 0x1f9;
    case 0x0170: return 0x1db;
    case 0x0171: return 0x1fb;
    case 0x0172: return 0x3d9;
    case 0x0173: return 0x3f9;
    case 0x0174: return 0x1000174;
    case 0x0175: return 0x1000175;
    case 0x0176: return 0x1000176;
    case 0x0177: return 0x1000177;
    case 0x0178: return 0x13be;
    case 0x0179: return 0x1ac;
    case 0x017a: return 0x1bc;
    case 0x017b: return 0x1af;
    case 0x017c: return 0x1bf;
    case 0x017d: return 0x1ae;
    case 0x017e: return 0x1be;
    case 0x018f: return 0x100018f;
    case 0x0192: return 0x8f6;
    case 0x019f: return 0x100019f;
    case 0x01a0: return 0x10001a0;
    case 0x01a1: return 0x10001a1;
    case 0x01af: return 0x10001af;
    case 0x01b0: return 0x10001b0;
    case 0x01b5: return 0x10001b5;
    case 0x01b6: return 0x10001b6;
    case 0x01b7: return 0x10001b7;
    case 0x01d2: return 0x10001d1;
    case 0x01e6: return 0x10001e6;
    case 0x01e7: return 0x10001e7;
    case 0x0259: return 0x1000259;
    case 0x0275: return 0x1000275;
    case 0x0292: return 0x1000292;
    case 0x02c7: return 0x1b7;
    case 0x02d8: return 0x1a2;
    case 0x02d9: return 0x1ff;
    case 0x02db: return 0x1b2;
    case 0x02dd: return 0x1bd;
    case 0x0385: return 0x7ae;
    case 0x0386: return 0x7a1;
    case 0x0388: return 0x7a2;
    case 0x0389: return 0x7a3;
    case 0x038a: return 0x7a4;
    case 0x038c: return 0x7a7;
    case 0x038e: return 0x7a8;
    case 0x038f: return 0x7ab;
    case 0x0390: return 0x7b6;
    case 0x0391: return 0x7c1;
    case 0x0392: return 0x7c2;
    case 0x0393: return 0x7c3;
    case 0x0394: return 0x7c4;
    case 0x0395: return 0x7c5;
    case 0x0396: return 0x7c6;
    case 0x0397: return 0x7c7;
    case 0x0398: return 0x7c8;
    case 0x0399: return 0x7c9;
    case 0x039a: return 0x7ca;
    case 0x039b: return 0x7cb;
    case 0x039c: return 0x7cc;
    case 0x039d: return 0x7cd;
    case 0x039e: return 0x7ce;
    case 0x039f: return 0x7cf;
    case 0x03a0: return 0x7d0;
    case 0x03a1: return 0x7d1;
    case 0x03a3: return 0x7d2;
    case 0x03a4: return 0x7d4;
    case 0x03a5: return 0x7d5;
    case 0x03a6: return 0x7d6;
    case 0x03a7: return 0x7d7;
    case 0x03a8: return 0x7d8;
    case 0x03a9: return 0x7d9;
    case 0x03aa: return 0x7a5;
    case 0x03ab: return 0x7a9;
    case 0x03ac: return 0x7b1;
    case 0x03ad: return 0x7b2;
    case 0x03ae: return 0x7b3;
    case 0x03af: return 0x7b4;
    case 0x03b0: return 0x7ba;
    case 0x03b1: return 0x7e1;
    case 0x03b2: return 0x7e2;
    case 0x03b3: return 0x7e3;
    case 0x03b4: return 0x7e4;
    case 0x03b5: return 0x7e5;
    case 0x03b6: return 0x7e6;
    case 0x03b7: return 0x7e7;
    case 0x03b8: return 0x7e8;
    case 0x03b9: return 0x7e9;
    case 0x03ba: return 0x7ea;
    case 0x03bb: return 0x7eb;
    case 0x03bc: return 0x7ec;
    case 0x03bd: return 0x7ed;
    case 0x03be: return 0x7ee;
    case 0x03bf: return 0x7ef;
    case 0x03c0: return 0x7f0;
    case 0x03c1: return 0x7f1;
    case 0x03c2: return 0x7f3;
    case 0x03c3: return 0x7f2;
    case 0x03c4: return 0x7f4;
    case 0x03c5: return 0x7f5;
    case 0x03c6: return 0x7f6;
    case 0x03c7: return 0x7f7;
    case 0x03c8: return 0x7f8;
    case 0x03c9: return 0x7f9;
    case 0x03ca: return 0x7b5;
    case 0x03cb: return 0x7b9;
    case 0x03cc: return 0x7b7;
    case 0x03cd: return 0x7b8;
    case 0x03ce: return 0x7bb;
    case 0x0401: return 0x6b3;
    case 0x0402: return 0x6b1;
    case 0x0403: return 0x6b2;
    case 0x0404: return 0x6b4;
    case 0x0405: return 0x6b5;
    case 0x0406: return 0x6b6;
    case 0x0407: return 0x6b7;
    case 0x0408: return 0x6b8;
    case 0x0409: return 0x6b9;
    case 0x040a: return 0x6ba;
    case 0x040b: return 0x6bb;
    case 0x040c: return 0x6bc;
    case 0x040e: return 0x6be;
    case 0x040f: return 0x6bf;
    case 0x0410: return 0x6e1;
    case 0x0411: return 0x6e2;
    case 0x0412: return 0x6f7;
    case 0x0413: return 0x6e7;
    case 0x0414: return 0x6e4;
    case 0x0415: return 0x6e5;
    case 0x0416: return 0x6f6;
    case 0x0417: return 0x6fa;
    case 0x0418: return 0x6e9;
    case 0x0419: return 0x6ea;
    case 0x041a: return 0x6eb;
    case 0x041b: return 0x6ec;
    case 0x041c: return 0x6ed;
    case 0x041d: return 0x6ee;
    case 0x041e: return 0x6ef;
    case 0x041f: return 0x6f0;
    case 0x0420: return 0x6f2;
    case 0x0421: return 0x6f3;
    case 0x0422: return 0x6f4;
    case 0x0423: return 0x6f5;
    case 0x0424: return 0x6e6;
    case 0x0425: return 0x6e8;
    case 0x0426: return 0x6e3;
    case 0x0427: return 0x6fe;
    case 0x0428: return 0x6fb;
    case 0x0429: return 0x6fd;
    case 0x042a: return 0x6ff;
    case 0x042b: return 0x6f9;
    case 0x042c: return 0x6f8;
    case 0x042d: return 0x6fc;
    case 0x042e: return 0x6e0;
    case 0x042f: return 0x6f1;
    case 0x0430: return 0x6c1;
    case 0x0431: return 0x6c2;
    case 0x0432: return 0x6d7;
    case 0x0433: return 0x6c7;
    case 0x0434: return 0x6c4;
    case 0x0435: return 0x6c5;
    case 0x0436: return 0x6d6;
    case 0x0437: return 0x6da;
    case 0x0438: return 0x6c9;
    case 0x0439: return 0x6ca;
    case 0x043a: return 0x6cb;
    case 0x043b: return 0x6cc;
    case 0x043c: return 0x6cd;
    case 0x043d: return 0x6ce;
    case 0x043e: return 0x6cf;
    case 0x043f: return 0x6d0;
    case 0x0440: return 0x6d2;
    case 0x0441: return 0x6d3;
    case 0x0442: return 0x6d4;
    case 0x0443: return 0x6d5;
    case 0x0444: return 0x6c6;
    case 0x0445: return 0x6c8;
    case 0x0446: return 0x6c3;
    case 0x0447: return 0x6de;
    case 0x0448: return 0x6db;
    case 0x0449: return 0x6dd;
    case 0x044a: return 0x6df;
    case 0x044b: return 0x6d9;
    case 0x044c: return 0x6d8;
    case 0x044d: return 0x6dc;
    case 0x044e: return 0x6c0;
    case 0x044f: return 0x6d1;
    case 0x0451: return 0x6a3;
    case 0x0452: return 0x6a1;
    case 0x0453: return 0x6a2;
    case 0x0454: return 0x6a4;
    case 0x0455: return 0x6a5;
    case 0x0456: return 0x6a6;
    case 0x0457: return 0x6a7;
    case 0x0458: return 0x6a8;
    case 0x0459: return 0x6a9;
    case 0x045a: return 0x6aa;
    case 0x045b: return 0x6ab;
    case 0x045c: return 0x6ac;
    case 0x045e: return 0x6ae;
    case 0x045f: return 0x6af;
    case 0x0490: return 0x6bd;
    case 0x0491: return 0x6ad;
    case 0x0492: return 0x1000492;
    case 0x0493: return 0x1000493;
    case 0x0496: return 0x1000496;
    case 0x0497: return 0x1000497;
    case 0x049a: return 0x100049a;
    case 0x049b: return 0x100049b;
    case 0x049c: return 0x100049c;
    case 0x049d: return 0x100049d;
    case 0x04a2: return 0x10004a2;
    case 0x04a3: return 0x10004a3;
    case 0x04ae: return 0x10004ae;
    case 0x04af: return 0x10004af;
    case 0x04b0: return 0x10004b0;
    case 0x04b1: return 0x10004b1;
    case 0x04b2: return 0x10004b2;
    case 0x04b3: return 0x10004b3;
    case 0x04b6: return 0x10004b6;
    case 0x04b7: return 0x10004b7;
    case 0x04b8: return 0x10004b8;
    case 0x04b9: return 0x10004b9;
    case 0x04ba: return 0x10004ba;
    case 0x04bb: return 0x10004bb;
    case 0x04d8: return 0x10004d8;
    case 0x04d9: return 0x10004d9;
    case 0x04e2: return 0x10004e2;
    case 0x04e3: return 0x10004e3;
    case 0x04e8: return 0x10004e8;
    case 0x04e9: return 0x10004e9;
    case 0x04ee: return 0x10004ee;
    case 0x04ef: return 0x10004ef;
    case 0x0531: return 0x1000531;
    case 0x0532: return 0x1000532;
    case 0x0533: return 0x1000533;
    case 0x0534: return 0x1000534;
    case 0x0535: return 0x1000535;
    case 0x0536: return 0x1000536;
    case 0x0537: return 0x1000537;
    case 0x0538: return 0x1000538;
    case 0x0539: return 0x1000539;
    case 0x053a: return 0x100053a;
    case 0x053b: return 0x100053b;
    case 0x053c: return 0x100053c;
    case 0x053d: return 0x100053d;
    case 0x053e: return 0x100053e;
    case 0x053f: return 0x100053f;
    case 0x0540: return 0x1000540;
    case 0x0541: return 0x1000541;
    case 0x0542: return 0x1000542;
    case 0x0543: return 0x1000543;
    case 0x0544: return 0x1000544;
    case 0x0545: return 0x1000545;
    case 0x0546: return 0x1000546;
    case 0x0547: return 0x1000547;
    case 0x0548: return 0x1000548;
    case 0x0549: return 0x1000549;
    case 0x054a: return 0x100054a;
    case 0x054b: return 0x100054b;
    case 0x054c: return 0x100054c;
    case 0x054d: return 0x100054d;
    case 0x054e: return 0x100054e;
    case 0x054f: return 0x100054f;
    case 0x0550: return 0x1000550;
    case 0x0551: return 0x1000551;
    case 0x0552: return 0x1000552;
    case 0x0553: return 0x1000553;
    case 0x0554: return 0x1000554;
    case 0x0555: return 0x1000555;
    case 0x0556: return 0x1000556;
    case 0x055a: return 0x100055a;
    case 0x055b: return 0x100055b;
    case 0x055c: return 0x100055c;
    case 0x055d: return 0x100055d;
    case 0x055e: return 0x100055e;
    case 0x0561: return 0x1000561;
    case 0x0562: return 0x1000562;
    case 0x0563: return 0x1000563;
    case 0x0564: return 0x1000564;
    case 0x0565: return 0x1000565;
    case 0x0566: return 0x1000566;
    case 0x0567: return 0x1000567;
    case 0x0568: return 0x1000568;
    case 0x0569: return 0x1000569;
    case 0x056a: return 0x100056a;
    case 0x056b: return 0x100056b;
    case 0x056c: return 0x100056c;
    case 0x056d: return 0x100056d;
    case 0x056e: return 0x100056e;
    case 0x056f: return 0x100056f;
    case 0x0570: return 0x1000570;
    case 0x0571: return 0x1000571;
    case 0x0572: return 0x1000572;
    case 0x0573: return 0x1000573;
    case 0x0574: return 0x1000574;
    case 0x0575: return 0x1000575;
    case 0x0576: return 0x1000576;
    case 0x0577: return 0x1000577;
    case 0x0578: return 0x1000578;
    case 0x0579: return 0x1000579;
    case 0x057a: return 0x100057a;
    case 0x057b: return 0x100057b;
    case 0x057c: return 0x100057c;
    case 0x057d: return 0x100057d;
    case 0x057e: return 0x100057e;
    case 0x057f: return 0x100057f;
    case 0x0580: return 0x1000580;
    case 0x0581: return 0x1000581;
    case 0x0582: return 0x1000582;
    case 0x0583: return 0x1000583;
    case 0x0584: return 0x1000584;
    case 0x0585: return 0x1000585;
    case 0x0586: return 0x1000586;
    case 0x0587: return 0x1000587;
    case 0x0589: return 0x1000589;
    case 0x058a: return 0x100058a;
    case 0x05d0: return 0xce0;
    case 0x05d1: return 0xce1;
    case 0x05d2: return 0xce2;
    case 0x05d3: return 0xce3;
    case 0x05d4: return 0xce4;
    case 0x05d5: return 0xce5;
    case 0x05d6: return 0xce6;
    case 0x05d7: return 0xce7;
    case 0x05d8: return 0xce8;
    case 0x05d9: return 0xce9;
    case 0x05da: return 0xcea;
    case 0x05db: return 0xceb;
    case 0x05dc: return 0xcec;
    case 0x05dd: return 0xced;
    case 0x05de: return 0xcee;
    case 0x05df: return 0xcef;
    case 0x05e0: return 0xcf0;
    case 0x05e1: return 0xcf1;
    case 0x05e2: return 0xcf2;
    case 0x05e3: return 0xcf3;
    case 0x05e4: return 0xcf4;
    case 0x05e5: return 0xcf5;
    case 0x05e6: return 0xcf6;
    case 0x05e7: return 0xcf7;
    case 0x05e8: return 0xcf8;
    case 0x05e9: return 0xcf9;
    case 0x05ea: return 0xcfa;
    case 0x060c: return 0x5ac;
    case 0x061b: return 0x5bb;
    case 0x061f: return 0x5bf;
    case 0x0621: return 0x5c1;
    case 0x0622: return 0x5c2;
    case 0x0623: return 0x5c3;
    case 0x0624: return 0x5c4;
    case 0x0625: return 0x5c5;
    case 0x0626: return 0x5c6;
    case 0x0627: return 0x5c7;
    case 0x0628: return 0x5c8;
    case 0x0629: return 0x5c9;
    case 0x062a: return 0x5ca;
    case 0x062b: return 0x5cb;
    case 0x062c: return 0x5cc;
    case 0x062d: return 0x5cd;
    case 0x062e: return 0x5ce;
    case 0x062f: return 0x5cf;
    case 0x0630: return 0x5d0;
    case 0x0631: return 0x5d1;
    case 0x0632: return 0x5d2;
    case 0x0633: return 0x5d3;
    case 0x0634: return 0x5d4;
    case 0x0635: return 0x5d5;
    case 0x0636: return 0x5d6;
    case 0x0637: return 0x5d7;
    case 0x0638: return 0x5d8;
    case 0x0639: return 0x5d9;
    case 0x063a: return 0x5da;
    case 0x0640: return 0x5e0;
    case 0x0641: return 0x5e1;
    case 0x0642: return 0x5e2;
    case 0x0643: return 0x5e3;
    case 0x0644: return 0x5e4;
    case 0x0645: return 0x5e5;
    case 0x0646: return 0x5e6;
    case 0x0647: return 0x5e7;
    case 0x0648: return 0x5e8;
    case 0x0649: return 0x5e9;
    case 0x064a: return 0x5ea;
    case 0x064b: return 0x5eb;
    case 0x064c: return 0x5ec;
    case 0x064d: return 0x5ed;
    case 0x064e: return 0x5ee;
    case 0x064f: return 0x5ef;
    case 0x0650: return 0x5f0;
    case 0x0651: return 0x5f1;
    case 0x0652: return 0x5f2;
    case 0x0653: return 0x1000653;
    case 0x0654: return 0x1000654;
    case 0x0655: return 0x1000655;
    case 0x0660: return 0x1000660;
    case 0x0661: return 0x1000661;
    case 0x0662: return 0x1000662;
    case 0x0663: return 0x1000663;
    case 0x0664: return 0x1000664;
    case 0x0665: return 0x1000665;
    case 0x0666: return 0x1000666;
    case 0x0667: return 0x1000667;
    case 0x0668: return 0x1000668;
    case 0x0669: return 0x1000669;
    case 0x066a: return 0x100066a;
    case 0x0670: return 0x1000670;
    case 0x0679: return 0x1000679;
    case 0x067e: return 0x100067e;
    case 0x0686: return 0x1000686;
    case 0x0688: return 0x1000688;
    case 0x0691: return 0x1000691;
    case 0x0698: return 0x1000698;
    case 0x06a4: return 0x10006a4;
    case 0x06a9: return 0x10006a9;
    case 0x06af: return 0x10006af;
    case 0x06ba: return 0x10006ba;
    case 0x06be: return 0x10006be;
    case 0x06c1: return 0x10006c1;
    case 0x06cc: return 0x10006cc;
    case 0x06d2: return 0x10006d2;
    case 0x06d4: return 0x10006d4;
    case 0x06f0: return 0x10006f0;
    case 0x06f1: return 0x10006f1;
    case 0x06f2: return 0x10006f2;
    case 0x06f3: return 0x10006f3;
    case 0x06f4: return 0x10006f4;
    case 0x06f5: return 0x10006f5;
    case 0x06f6: return 0x10006f6;
    case 0x06f7: return 0x10006f7;
    case 0x06f8: return 0x10006f8;
    case 0x06f9: return 0x10006f9;
    case 0x0d82: return 0x1000d82;
    case 0x0d83: return 0x1000d83;
    case 0x0d85: return 0x1000d85;
    case 0x0d86: return 0x1000d86;
    case 0x0d87: return 0x1000d87;
    case 0x0d88: return 0x1000d88;
    case 0x0d89: return 0x1000d89;
    case 0x0d8a: return 0x1000d8a;
    case 0x0d8b: return 0x1000d8b;
    case 0x0d8c: return 0x1000d8c;
    case 0x0d8d: return 0x1000d8d;
    case 0x0d8e: return 0x1000d8e;
    case 0x0d8f: return 0x1000d8f;
    case 0x0d90: return 0x1000d90;
    case 0x0d91: return 0x1000d91;
    case 0x0d92: return 0x1000d92;
    case 0x0d93: return 0x1000d93;
    case 0x0d94: return 0x1000d94;
    case 0x0d95: return 0x1000d95;
    case 0x0d96: return 0x1000d96;
    case 0x0d9a: return 0x1000d9a;
    case 0x0d9b: return 0x1000d9b;
    case 0x0d9c: return 0x1000d9c;
    case 0x0d9d: return 0x1000d9d;
    case 0x0d9e: return 0x1000d9e;
    case 0x0d9f: return 0x1000d9f;
    case 0x0da0: return 0x1000da0;
    case 0x0da1: return 0x1000da1;
    case 0x0da2: return 0x1000da2;
    case 0x0da3: return 0x1000da3;
    case 0x0da4: return 0x1000da4;
    case 0x0da5: return 0x1000da5;
    case 0x0da6: return 0x1000da6;
    case 0x0da7: return 0x1000da7;
    case 0x0da8: return 0x1000da8;
    case 0x0da9: return 0x1000da9;
    case 0x0daa: return 0x1000daa;
    case 0x0dab: return 0x1000dab;
    case 0x0dac: return 0x1000dac;
    case 0x0dad: return 0x1000dad;
    case 0x0dae: return 0x1000dae;
    case 0x0daf: return 0x1000daf;
    case 0x0db0: return 0x1000db0;
    case 0x0db1: return 0x1000db1;
    case 0x0db3: return 0x1000db3;
    case 0x0db4: return 0x1000db4;
    case 0x0db5: return 0x1000db5;
    case 0x0db6: return 0x1000db6;
    case 0x0db7: return 0x1000db7;
    case 0x0db8: return 0x1000db8;
    case 0x0db9: return 0x1000db9;
    case 0x0dba: return 0x1000dba;
    case 0x0dbb: return 0x1000dbb;
    case 0x0dbd: return 0x1000dbd;
    case 0x0dc0: return 0x1000dc0;
    case 0x0dc1: return 0x1000dc1;
    case 0x0dc2: return 0x1000dc2;
    case 0x0dc3: return 0x1000dc3;
    case 0x0dc4: return 0x1000dc4;
    case 0x0dc5: return 0x1000dc5;
    case 0x0dc6: return 0x1000dc6;
    case 0x0dca: return 0x1000dca;
    case 0x0dcf: return 0x1000dcf;
    case 0x0dd0: return 0x1000dd0;
    case 0x0dd1: return 0x1000dd1;
    case 0x0dd2: return 0x1000dd2;
    case 0x0dd3: return 0x1000dd3;
    case 0x0dd4: return 0x1000dd4;
    case 0x0dd6: return 0x1000dd6;
    case 0x0dd8: return 0x1000dd8;
    case 0x0dd9: return 0x1000dd9;
    case 0x0dda: return 0x1000dda;
    case 0x0ddb: return 0x1000ddb;
    case 0x0ddc: return 0x1000ddc;
    case 0x0ddd: return 0x1000ddd;
    case 0x0dde: return 0x1000dde;
    case 0x0ddf: return 0x1000ddf;
    case 0x0df2: return 0x1000df2;
    case 0x0df3: return 0x1000df3;
    case 0x0df4: return 0x1000df4;
    case 0x0e01: return 0xda1;
    case 0x0e02: return 0xda2;
    case 0x0e03: return 0xda3;
    case 0x0e04: return 0xda4;
    case 0x0e05: return 0xda5;
    case 0x0e06: return 0xda6;
    case 0x0e07: return 0xda7;
    case 0x0e08: return 0xda8;
    case 0x0e09: return 0xda9;
    case 0x0e0a: return 0xdaa;
    case 0x0e0b: return 0xdab;
    case 0x0e0c: return 0xdac;
    case 0x0e0d: return 0xdad;
    case 0x0e0e: return 0xdae;
    case 0x0e0f: return 0xdaf;
    case 0x0e10: return 0xdb0;
    case 0x0e11: return 0xdb1;
    case 0x0e12: return 0xdb2;
    case 0x0e13: return 0xdb3;
    case 0x0e14: return 0xdb4;
    case 0x0e15: return 0xdb5;
    case 0x0e16: return 0xdb6;
    case 0x0e17: return 0xdb7;
    case 0x0e18: return 0xdb8;
    case 0x0e19: return 0xdb9;
    case 0x0e1a: return 0xdba;
    case 0x0e1b: return 0xdbb;
    case 0x0e1c: return 0xdbc;
    case 0x0e1d: return 0xdbd;
    case 0x0e1e: return 0xdbe;
    case 0x0e1f: return 0xdbf;
    case 0x0e20: return 0xdc0;
    case 0x0e21: return 0xdc1;
    case 0x0e22: return 0xdc2;
    case 0x0e23: return 0xdc3;
    case 0x0e24: return 0xdc4;
    case 0x0e25: return 0xdc5;
    case 0x0e26: return 0xdc6;
    case 0x0e27: return 0xdc7;
    case 0x0e28: return 0xdc8;
    case 0x0e29: return 0xdc9;
    case 0x0e2a: return 0xdca;
    case 0x0e2b: return 0xdcb;
    case 0x0e2c: return 0xdcc;
    case 0x0e2d: return 0xdcd;
    case 0x0e2e: return 0xdce;
    case 0x0e2f: return 0xdcf;
    case 0x0e30: return 0xdd0;
    case 0x0e31: return 0xdd1;
    case 0x0e32: return 0xdd2;
    case 0x0e33: return 0xdd3;
    case 0x0e34: return 0xdd4;
    case 0x0e35: return 0xdd5;
    case 0x0e36: return 0xdd6;
    case 0x0e37: return 0xdd7;
    case 0x0e38: return 0xdd8;
    case 0x0e39: return 0xdd9;
    case 0x0e3a: return 0xdda;
    case 0x0e3f: return 0xddf;
    case 0x0e40: return 0xde0;
    case 0x0e41: return 0xde1;
    case 0x0e42: return 0xde2;
    case 0x0e43: return 0xde3;
    case 0x0e44: return 0xde4;
    case 0x0e45: return 0xde5;
    case 0x0e46: return 0xde6;
    case 0x0e47: return 0xde7;
    case 0x0e48: return 0xde8;
    case 0x0e49: return 0xde9;
    case 0x0e4a: return 0xdea;
    case 0x0e4b: return 0xdeb;
    case 0x0e4c: return 0xdec;
    case 0x0e4d: return 0xded;
    case 0x0e50: return 0xdf0;
    case 0x0e51: return 0xdf1;
    case 0x0e52: return 0xdf2;
    case 0x0e53: return 0xdf3;
    case 0x0e54: return 0xdf4;
    case 0x0e55: return 0xdf5;
    case 0x0e56: return 0xdf6;
    case 0x0e57: return 0xdf7;
    case 0x0e58: return 0xdf8;
    case 0x0e59: return 0xdf9;
    case 0x10d0: return 0x10010d0;
    case 0x10d1: return 0x10010d1;
    case 0x10d2: return 0x10010d2;
    case 0x10d3: return 0x10010d3;
    case 0x10d4: return 0x10010d4;
    case 0x10d5: return 0x10010d5;
    case 0x10d6: return 0x10010d6;
    case 0x10d7: return 0x10010d7;
    case 0x10d8: return 0x10010d8;
    case 0x10d9: return 0x10010d9;
    case 0x10da: return 0x10010da;
    case 0x10db: return 0x10010db;
    case 0x10dc: return 0x10010dc;
    case 0x10dd: return 0x10010dd;
    case 0x10de: return 0x10010de;
    case 0x10df: return 0x10010df;
    case 0x10e0: return 0x10010e0;
    case 0x10e1: return 0x10010e1;
    case 0x10e2: return 0x10010e2;
    case 0x10e3: return 0x10010e3;
    case 0x10e4: return 0x10010e4;
    case 0x10e5: return 0x10010e5;
    case 0x10e6: return 0x10010e6;
    case 0x10e7: return 0x10010e7;
    case 0x10e8: return 0x10010e8;
    case 0x10e9: return 0x10010e9;
    case 0x10ea: return 0x10010ea;
    case 0x10eb: return 0x10010eb;
    case 0x10ec: return 0x10010ec;
    case 0x10ed: return 0x10010ed;
    case 0x10ee: return 0x10010ee;
    case 0x10ef: return 0x10010ef;
    case 0x10f0: return 0x10010f0;
    case 0x10f1: return 0x10010f1;
    case 0x10f2: return 0x10010f2;
    case 0x10f3: return 0x10010f3;
    case 0x10f4: return 0x10010f4;
    case 0x10f5: return 0x10010f5;
    case 0x10f6: return 0x10010f6;
    case 0x1e02: return 0x1001e02;
    case 0x1e03: return 0x1001e03;
    case 0x1e0a: return 0x1001e0a;
    case 0x1e0b: return 0x1001e0b;
    case 0x1e1e: return 0x1001e1e;
    case 0x1e1f: return 0x1001e1f;
    case 0x1e36: return 0x1001e36;
    case 0x1e37: return 0x1001e37;
    case 0x1e40: return 0x1001e40;
    case 0x1e41: return 0x1001e41;
    case 0x1e56: return 0x1001e56;
    case 0x1e57: return 0x1001e57;
    case 0x1e60: return 0x1001e60;
    case 0x1e61: return 0x1001e61;
    case 0x1e6a: return 0x1001e6a;
    case 0x1e6b: return 0x1001e6b;
    case 0x1e80: return 0x1001e80;
    case 0x1e81: return 0x1001e81;
    case 0x1e82: return 0x1001e82;
    case 0x1e83: return 0x1001e83;
    case 0x1e84: return 0x1001e84;
    case 0x1e85: return 0x1001e85;
    case 0x1e8a: return 0x1001e8a;
    case 0x1e8b: return 0x1001e8b;
    case 0x1ea0: return 0x1001ea0;
    case 0x1ea1: return 0x1001ea1;
    case 0x1ea2: return 0x1001ea2;
    case 0x1ea3: return 0x1001ea3;
    case 0x1ea4: return 0x1001ea4;
    case 0x1ea5: return 0x1001ea5;
    case 0x1ea6: return 0x1001ea6;
    case 0x1ea7: return 0x1001ea7;
    case 0x1ea8: return 0x1001ea8;
    case 0x1ea9: return 0x1001ea9;
    case 0x1eaa: return 0x1001eaa;
    case 0x1eab: return 0x1001eab;
    case 0x1eac: return 0x1001eac;
    case 0x1ead: return 0x1001ead;
    case 0x1eae: return 0x1001eae;
    case 0x1eaf: return 0x1001eaf;
    case 0x1eb0: return 0x1001eb0;
    case 0x1eb1: return 0x1001eb1;
    case 0x1eb2: return 0x1001eb2;
    case 0x1eb3: return 0x1001eb3;
    case 0x1eb4: return 0x1001eb4;
    case 0x1eb5: return 0x1001eb5;
    case 0x1eb6: return 0x1001eb6;
    case 0x1eb7: return 0x1001eb7;
    case 0x1eb8: return 0x1001eb8;
    case 0x1eb9: return 0x1001eb9;
    case 0x1eba: return 0x1001eba;
    case 0x1ebb: return 0x1001ebb;
    case 0x1ebc: return 0x1001ebc;
    case 0x1ebd: return 0x1001ebd;
    case 0x1ebe: return 0x1001ebe;
    case 0x1ebf: return 0x1001ebf;
    case 0x1ec0: return 0x1001ec0;
    case 0x1ec1: return 0x1001ec1;
    case 0x1ec2: return 0x1001ec2;
    case 0x1ec3: return 0x1001ec3;
    case 0x1ec4: return 0x1001ec4;
    case 0x1ec5: return 0x1001ec5;
    case 0x1ec6: return 0x1001ec6;
    case 0x1ec7: return 0x1001ec7;
    case 0x1ec8: return 0x1001ec8;
    case 0x1ec9: return 0x1001ec9;
    case 0x1eca: return 0x1001eca;
    case 0x1ecb: return 0x1001ecb;
    case 0x1ecc: return 0x1001ecc;
    case 0x1ecd: return 0x1001ecd;
    case 0x1ece: return 0x1001ece;
    case 0x1ecf: return 0x1001ecf;
    case 0x1ed0: return 0x1001ed0;
    case 0x1ed1: return 0x1001ed1;
    case 0x1ed2: return 0x1001ed2;
    case 0x1ed3: return 0x1001ed3;
    case 0x1ed4: return 0x1001ed4;
    case 0x1ed5: return 0x1001ed5;
    case 0x1ed6: return 0x1001ed6;
    case 0x1ed7: return 0x1001ed7;
    case 0x1ed8: return 0x1001ed8;
    case 0x1ed9: return 0x1001ed9;
    case 0x1eda: return 0x1001eda;
    case 0x1edb: return 0x1001edb;
    case 0x1edc: return 0x1001edc;
    case 0x1edd: return 0x1001edd;
    case 0x1ede: return 0x1001ede;
    case 0x1edf: return 0x1001edf;
    case 0x1ee0: return 0x1001ee0;
    case 0x1ee1: return 0x1001ee1;
    case 0x1ee2: return 0x1001ee2;
    case 0x1ee3: return 0x1001ee3;
    case 0x1ee4: return 0x1001ee4;
    case 0x1ee5: return 0x1001ee5;
    case 0x1ee6: return 0x1001ee6;
    case 0x1ee7: return 0x1001ee7;
    case 0x1ee8: return 0x1001ee8;
    case 0x1ee9: return 0x1001ee9;
    case 0x1eea: return 0x1001eea;
    case 0x1eeb: return 0x1001eeb;
    case 0x1eec: return 0x1001eec;
    case 0x1eed: return 0x1001eed;
    case 0x1eee: return 0x1001eee;
    case 0x1eef: return 0x1001eef;
    case 0x1ef0: return 0x1001ef0;
    case 0x1ef1: return 0x1001ef1;
    case 0x1ef2: return 0x1001ef2;
    case 0x1ef3: return 0x1001ef3;
    case 0x1ef4: return 0x1001ef4;
    case 0x1ef5: return 0x1001ef5;
    case 0x1ef6: return 0x1001ef6;
    case 0x1ef7: return 0x1001ef7;
    case 0x1ef8: return 0x1001ef8;
    case 0x1ef9: return 0x1001ef9;
    case 0x2002: return 0xaa2;
    case 0x2003: return 0xaa1;
    case 0x2004: return 0xaa3;
    case 0x2005: return 0xaa4;
    case 0x2007: return 0xaa5;
    case 0x2008: return 0xaa6;
    case 0x2009: return 0xaa7;
    case 0x200a: return 0xaa8;
    case 0x2012: return 0xabb;
    case 0x2013: return 0xaaa;
    case 0x2014: return 0xaa9;
    case 0x2015: return 0x7af;
    case 0x2017: return 0xcdf;
    case 0x2018: return 0xad0;
    case 0x2019: return 0xad1;
    case 0x201a: return 0xafd;
    case 0x201c: return 0xad2;
    case 0x201d: return 0xad3;
    case 0x201e: return 0xafe;
    case 0x2020: return 0xaf1;
    case 0x2021: return 0xaf2;
    case 0x2022: return 0xae6;
    case 0x2025: return 0xaaf;
    case 0x2026: return 0xaae;
    case 0x2030: return 0xad5;
    case 0x2032: return 0xad6;
    case 0x2033: return 0xad7;
    case 0x2038: return 0xafc;
    case 0x203e: return 0x47e;
    case 0x2070: return 0x1002070;
    case 0x2074: return 0x1002074;
    case 0x2075: return 0x1002075;
    case 0x2076: return 0x1002076;
    case 0x2077: return 0x1002077;
    case 0x2078: return 0x1002078;
    case 0x2079: return 0x1002079;
    case 0x2080: return 0x1002080;
    case 0x2081: return 0x1002081;
    case 0x2082: return 0x1002082;
    case 0x2083: return 0x1002083;
    case 0x2084: return 0x1002084;
    case 0x2085: return 0x1002085;
    case 0x2086: return 0x1002086;
    case 0x2087: return 0x1002087;
    case 0x2088: return 0x1002088;
    case 0x2089: return 0x1002089;
    case 0x20a0: return 0x10020a0;
    case 0x20a1: return 0x10020a1;
    case 0x20a2: return 0x10020a2;
    case 0x20a3: return 0x10020a3;
    case 0x20a4: return 0x10020a4;
    case 0x20a5: return 0x10020a5;
    case 0x20a6: return 0x10020a6;
    case 0x20a7: return 0x10020a7;
    case 0x20a8: return 0x10020a8;
    case 0x20a9: return 0xeff;
    case 0x20aa: return 0x10020aa;
    case 0x20ab: return 0x10020ab;
    case 0x20ac: return 0x20ac;
    case 0x2105: return 0xab8;
    case 0x2116: return 0x6b0;
    case 0x2117: return 0xafb;
    case 0x211e: return 0xad4;
    case 0x2122: return 0xac9;
    case 0x2153: return 0xab0;
    case 0x2154: return 0xab1;
    case 0x2155: return 0xab2;
    case 0x2156: return 0xab3;
    case 0x2157: return 0xab4;
    case 0x2158: return 0xab5;
    case 0x2159: return 0xab6;
    case 0x215a: return 0xab7;
    case 0x215b: return 0xac3;
    case 0x215c: return 0xac4;
    case 0x215d: return 0xac5;
    case 0x215e: return 0xac6;
    case 0x2190: return 0x8fb;
    case 0x2191: return 0x8fc;
    case 0x2192: return 0x8fd;
    case 0x2193: return 0x8fe;
    case 0x21d2: return 0x8ce;
    case 0x21d4: return 0x8cd;
    case 0x2202: return 0x8ef;
    case 0x2205: return 0x1002205;
    case 0x2207: return 0x8c5;
    case 0x2208: return 0x1002208;
    case 0x2209: return 0x1002209;
    case 0x220b: return 0x100220b;
    case 0x2218: return 0xbca;
    case 0x221a: return 0x8d6;
    case 0x221b: return 0x100221b;
    case 0x221c: return 0x100221c;
    case 0x221d: return 0x8c1;
    case 0x221e: return 0x8c2;
    case 0x2227: return 0x8de;
    case 0x2228: return 0x8df;
    case 0x2229: return 0x8dc;
    case 0x222a: return 0x8dd;
    case 0x222b: return 0x8bf;
    case 0x222c: return 0x100222c;
    case 0x222d: return 0x100222d;
    case 0x2234: return 0x8c0;
    case 0x2235: return 0x1002235;
    case 0x223c: return 0x8c8;
    case 0x2243: return 0x8c9;
    case 0x2245: return 0x1002248;
    case 0x2247: return 0x1002247;
    case 0x2260: return 0x8bd;
    case 0x2261: return 0x8cf;
    case 0x2262: return 0x1002262;
    case 0x2263: return 0x1002263;
    case 0x2264: return 0x8bc;
    case 0x2265: return 0x8be;
    case 0x2282: return 0x8da;
    case 0x2283: return 0x8db;
    case 0x22a2: return 0xbfc;
    case 0x22a3: return 0xbdc;
    case 0x22a4: return 0xbc2;
    case 0x22a5: return 0xbce;
    case 0x2308: return 0xbd3;
    case 0x230a: return 0xbc4;
    case 0x2315: return 0xafa;
    case 0x2320: return 0x8a4;
    case 0x2321: return 0x8a5;
    case 0x2395: return 0xbcc;
    case 0x239b: return 0x8ab;
    case 0x239d: return 0x8ac;
    case 0x239e: return 0x8ad;
    case 0x23a0: return 0x8ae;
    case 0x23a1: return 0x8a7;
    case 0x23a3: return 0x8a8;
    case 0x23a4: return 0x8a9;
    case 0x23a6: return 0x8aa;
    case 0x23a8: return 0x8af;
    case 0x23ac: return 0x8b0;
    case 0x23b7: return 0x8a1;
    case 0x23ba: return 0x9ef;
    case 0x23bb: return 0x9f0;
    case 0x23bc: return 0x9f2;
    case 0x23bd: return 0x9f3;
    case 0x2409: return 0x9e2;
    case 0x240a: return 0x9e5;
    case 0x240b: return 0x9e9;
    case 0x240c: return 0x9e3;
    case 0x240d: return 0x9e4;
    case 0x2423: return 0xaac;
    case 0x2424: return 0x9e8;
    case 0x2500: return 0x8a3;
    case 0x2502: return 0x8a6;
    case 0x250c: return 0x8a2;
    case 0x2510: return 0x9eb;
    case 0x2514: return 0x9ed;
    case 0x2518: return 0x9ea;
    case 0x251c: return 0x9f4;
    case 0x2524: return 0x9f5;
    case 0x252c: return 0x9f7;
    case 0x2534: return 0x9f6;
    case 0x253c: return 0x9ee;
    case 0x2592: return 0x9e1;
    case 0x25aa: return 0xae7;
    case 0x25ab: return 0xae1;
    case 0x25ac: return 0xadb;
    case 0x25ad: return 0xae2;
    case 0x25ae: return 0xadf;
    case 0x25af: return 0xacf;
    case 0x25b2: return 0xae8;
    case 0x25b3: return 0xae3;
    case 0x25b6: return 0xadd;
    case 0x25b7: return 0xacd;
    case 0x25bc: return 0xae9;
    case 0x25bd: return 0xae4;
    case 0x25c0: return 0xadc;
    case 0x25c1: return 0xacc;
    case 0x25c6: return 0x9e0;
    case 0x25cb: return 0xace;
    case 0x25cf: return 0xade;
    case 0x25e6: return 0xae0;
    case 0x2606: return 0xae5;
    case 0x260e: return 0xaf9;
    case 0x2613: return 0xaca;
    case 0x261c: return 0xaea;
    case 0x261e: return 0xaeb;
    case 0x2640: return 0xaf8;
    case 0x2642: return 0xaf7;
    case 0x2663: return 0xaec;
    case 0x2665: return 0xaee;
    case 0x2666: return 0xaed;
    case 0x266d: return 0xaf6;
    case 0x266f: return 0xaf5;
    case 0x2713: return 0xaf3;
    case 0x2717: return 0xaf4;
    case 0x271d: return 0xad9;
    case 0x2720: return 0xaf0;
    case 0x27e8: return 0xabc;
    case 0x27e9: return 0xabe;
    case 0x2800: return 0x1002800;
    case 0x2801: return 0x1002801;
    case 0x2802: return 0x1002802;
    case 0x2803: return 0x1002803;
    case 0x2804: return 0x1002804;
    case 0x2805: return 0x1002805;
    case 0x2806: return 0x1002806;
    case 0x2807: return 0x1002807;
    case 0x2808: return 0x1002808;
    case 0x2809: return 0x1002809;
    case 0x280a: return 0x100280a;
    case 0x280b: return 0x100280b;
    case 0x280c: return 0x100280c;
    case 0x280d: return 0x100280d;
    case 0x280e: return 0x100280e;
    case 0x280f: return 0x100280f;
    case 0x2810: return 0x1002810;
    case 0x2811: return 0x1002811;
    case 0x2812: return 0x1002812;
    case 0x2813: return 0x1002813;
    case 0x2814: return 0x1002814;
    case 0x2815: return 0x1002815;
    case 0x2816: return 0x1002816;
    case 0x2817: return 0x1002817;
    case 0x2818: return 0x1002818;
    case 0x2819: return 0x1002819;
    case 0x281a: return 0x100281a;
    case 0x281b: return 0x100281b;
    case 0x281c: return 0x100281c;
    case 0x281d: return 0x100281d;
    case 0x281e: return 0x100281e;
    case 0x281f: return 0x100281f;
    case 0x2820: return 0x1002820;
    case 0x2821: return 0x1002821;
    case 0x2822: return 0x1002822;
    case 0x2823: return 0x1002823;
    case 0x2824: return 0x1002824;
    case 0x2825: return 0x1002825;
    case 0x2826: return 0x1002826;
    case 0x2827: return 0x1002827;
    case 0x2828: return 0x1002828;
    case 0x2829: return 0x1002829;
    case 0x282a: return 0x100282a;
    case 0x282b: return 0x100282b;
    case 0x282c: return 0x100282c;
    case 0x282d: return 0x100282d;
    case 0x282e: return 0x100282e;
    case 0x282f: return 0x100282f;
    case 0x2830: return 0x1002830;
    case 0x2831: return 0x1002831;
    case 0x2832: return 0x1002832;
    case 0x2833: return 0x1002833;
    case 0x2834: return 0x1002834;
    case 0x2835: return 0x1002835;
    case 0x2836: return 0x1002836;
    case 0x2837: return 0x1002837;
    case 0x2838: return 0x1002838;
    case 0x2839: return 0x1002839;
    case 0x283a: return 0x100283a;
    case 0x283b: return 0x100283b;
    case 0x283c: return 0x100283c;
    case 0x283d: return 0x100283d;
    case 0x283e: return 0x100283e;
    case 0x283f: return 0x100283f;
    case 0x2840: return 0x1002840;
    case 0x2841: return 0x1002841;
    case 0x2842: return 0x1002842;
    case 0x2843: return 0x1002843;
    case 0x2844: return 0x1002844;
    case 0x2845: return 0x1002845;
    case 0x2846: return 0x1002846;
    case 0x2847: return 0x1002847;
    case 0x2848: return 0x1002848;
    case 0x2849: return 0x1002849;
    case 0x284a: return 0x100284a;
    case 0x284b: return 0x100284b;
    case 0x284c: return 0x100284c;
    case 0x284d: return 0x100284d;
    case 0x284e: return 0x100284e;
    case 0x284f: return 0x100284f;
    case 0x2850: return 0x1002850;
    case 0x2851: return 0x1002851;
    case 0x2852: return 0x1002852;
    case 0x2853: return 0x1002853;
    case 0x2854: return 0x1002854;
    case 0x2855: return 0x1002855;
    case 0x2856: return 0x1002856;
    case 0x2857: return 0x1002857;
    case 0x2858: return 0x1002858;
    case 0x2859: return 0x1002859;
    case 0x285a: return 0x100285a;
    case 0x285b: return 0x100285b;
    case 0x285c: return 0x100285c;
    case 0x285d: return 0x100285d;
    case 0x285e: return 0x100285e;
    case 0x285f: return 0x100285f;
    case 0x2860: return 0x1002860;
    case 0x2861: return 0x1002861;
    case 0x2862: return 0x1002862;
    case 0x2863: return 0x1002863;
    case 0x2864: return 0x1002864;
    case 0x2865: return 0x1002865;
    case 0x2866: return 0x1002866;
    case 0x2867: return 0x1002867;
    case 0x2868: return 0x1002868;
    case 0x2869: return 0x1002869;
    case 0x286a: return 0x100286a;
    case 0x286b: return 0x100286b;
    case 0x286c: return 0x100286c;
    case 0x286d: return 0x100286d;
    case 0x286e: return 0x100286e;
    case 0x286f: return 0x100286f;
    case 0x2870: return 0x1002870;
    case 0x2871: return 0x1002871;
    case 0x2872: return 0x1002872;
    case 0x2873: return 0x1002873;
    case 0x2874: return 0x1002874;
    case 0x2875: return 0x1002875;
    case 0x2876: return 0x1002876;
    case 0x2877: return 0x1002877;
    case 0x2878: return 0x1002878;
    case 0x2879: return 0x1002879;
    case 0x287a: return 0x100287a;
    case 0x287b: return 0x100287b;
    case 0x287c: return 0x100287c;
    case 0x287d: return 0x100287d;
    case 0x287e: return 0x100287e;
    case 0x287f: return 0x100287f;
    case 0x2880: return 0x1002880;
    case 0x2881: return 0x1002881;
    case 0x2882: return 0x1002882;
    case 0x2883: return 0x1002883;
    case 0x2884: return 0x1002884;
    case 0x2885: return 0x1002885;
    case 0x2886: return 0x1002886;
    case 0x2887: return 0x1002887;
    case 0x2888: return 0x1002888;
    case 0x2889: return 0x1002889;
    case 0x288a: return 0x100288a;
    case 0x288b: return 0x100288b;
    case 0x288c: return 0x100288c;
    case 0x288d: return 0x100288d;
    case 0x288e: return 0x100288e;
    case 0x288f: return 0x100288f;
    case 0x2890: return 0x1002890;
    case 0x2891: return 0x1002891;
    case 0x2892: return 0x1002892;
    case 0x2893: return 0x1002893;
    case 0x2894: return 0x1002894;
    case 0x2895: return 0x1002895;
    case 0x2896: return 0x1002896;
    case 0x2897: return 0x1002897;
    case 0x2898: return 0x1002898;
    case 0x2899: return 0x1002899;
    case 0x289a: return 0x100289a;
    case 0x289b: return 0x100289b;
    case 0x289c: return 0x100289c;
    case 0x289d: return 0x100289d;
    case 0x289e: return 0x100289e;
    case 0x289f: return 0x100289f;
    case 0x28a0: return 0x10028a0;
    case 0x28a1: return 0x10028a1;
    case 0x28a2: return 0x10028a2;
    case 0x28a3: return 0x10028a3;
    case 0x28a4: return 0x10028a4;
    case 0x28a5: return 0x10028a5;
    case 0x28a6: return 0x10028a6;
    case 0x28a7: return 0x10028a7;
    case 0x28a8: return 0x10028a8;
    case 0x28a9: return 0x10028a9;
    case 0x28aa: return 0x10028aa;
    case 0x28ab: return 0x10028ab;
    case 0x28ac: return 0x10028ac;
    case 0x28ad: return 0x10028ad;
    case 0x28ae: return 0x10028ae;
    case 0x28af: return 0x10028af;
    case 0x28b0: return 0x10028b0;
    case 0x28b1: return 0x10028b1;
    case 0x28b2: return 0x10028b2;
    case 0x28b3: return 0x10028b3;
    case 0x28b4: return 0x10028b4;
    case 0x28b5: return 0x10028b5;
    case 0x28b6: return 0x10028b6;
    case 0x28b7: return 0x10028b7;
    case 0x28b8: return 0x10028b8;
    case 0x28b9: return 0x10028b9;
    case 0x28ba: return 0x10028ba;
    case 0x28bb: return 0x10028bb;
    case 0x28bc: return 0x10028bc;
    case 0x28bd: return 0x10028bd;
    case 0x28be: return 0x10028be;
    case 0x28bf: return 0x10028bf;
    case 0x28c0: return 0x10028c0;
    case 0x28c1: return 0x10028c1;
    case 0x28c2: return 0x10028c2;
    case 0x28c3: return 0x10028c3;
    case 0x28c4: return 0x10028c4;
    case 0x28c5: return 0x10028c5;
    case 0x28c6: return 0x10028c6;
    case 0x28c7: return 0x10028c7;
    case 0x28c8: return 0x10028c8;
    case 0x28c9: return 0x10028c9;
    case 0x28ca: return 0x10028ca;
    case 0x28cb: return 0x10028cb;
    case 0x28cc: return 0x10028cc;
    case 0x28cd: return 0x10028cd;
    case 0x28ce: return 0x10028ce;
    case 0x28cf: return 0x10028cf;
    case 0x28d0: return 0x10028d0;
    case 0x28d1: return 0x10028d1;
    case 0x28d2: return 0x10028d2;
    case 0x28d3: return 0x10028d3;
    case 0x28d4: return 0x10028d4;
    case 0x28d5: return 0x10028d5;
    case 0x28d6: return 0x10028d6;
    case 0x28d7: return 0x10028d7;
    case 0x28d8: return 0x10028d8;
    case 0x28d9: return 0x10028d9;
    case 0x28da: return 0x10028da;
    case 0x28db: return 0x10028db;
    case 0x28dc: return 0x10028dc;
    case 0x28dd: return 0x10028dd;
    case 0x28de: return 0x10028de;
    case 0x28df: return 0x10028df;
    case 0x28e0: return 0x10028e0;
    case 0x28e1: return 0x10028e1;
    case 0x28e2: return 0x10028e2;
    case 0x28e3: return 0x10028e3;
    case 0x28e4: return 0x10028e4;
    case 0x28e5: return 0x10028e5;
    case 0x28e6: return 0x10028e6;
    case 0x28e7: return 0x10028e7;
    case 0x28e8: return 0x10028e8;
    case 0x28e9: return 0x10028e9;
    case 0x28ea: return 0x10028ea;
    case 0x28eb: return 0x10028eb;
    case 0x28ec: return 0x10028ec;
    case 0x28ed: return 0x10028ed;
    case 0x28ee: return 0x10028ee;
    case 0x28ef: return 0x10028ef;
    case 0x28f0: return 0x10028f0;
    case 0x28f1: return 0x10028f1;
    case 0x28f2: return 0x10028f2;
    case 0x28f3: return 0x10028f3;
    case 0x28f4: return 0x10028f4;
    case 0x28f5: return 0x10028f5;
    case 0x28f6: return 0x10028f6;
    case 0x28f7: return 0x10028f7;
    case 0x28f8: return 0x10028f8;
    case 0x28f9: return 0x10028f9;
    case 0x28fa: return 0x10028fa;
    case 0x28fb: return 0x10028fb;
    case 0x28fc: return 0x10028fc;
    case 0x28fd: return 0x10028fd;
    case 0x28fe: return 0x10028fe;
    case 0x28ff: return 0x10028ff;
    case 0x3001: return 0x4a4;
    case 0x3002: return 0x4a1;
    case 0x300c: return 0x4a2;
    case 0x300d: return 0x4a3;
    case 0x309b: return 0x4de;
    case 0x309c: return 0x4df;
    case 0x30a1: return 0x4a7;
    case 0x30a2: return 0x4b1;
    case 0x30a3: return 0x4a8;
    case 0x30a4: return 0x4b2;
    case 0x30a5: return 0x4a9;
    case 0x30a6: return 0x4b3;
    case 0x30a7: return 0x4aa;
    case 0x30a8: return 0x4b4;
    case 0x30a9: return 0x4ab;
    case 0x30aa: return 0x4b5;
    case 0x30ab: return 0x4b6;
    case 0x30ad: return 0x4b7;
    case 0x30af: return 0x4b8;
    case 0x30b1: return 0x4b9;
    case 0x30b3: return 0x4ba;
    case 0x30b5: return 0x4bb;
    case 0x30b7: return 0x4bc;
    case 0x30b9: return 0x4bd;
    case 0x30bb: return 0x4be;
    case 0x30bd: return 0x4bf;
    case 0x30bf: return 0x4c0;
    case 0x30c1: return 0x4c1;
    case 0x30c3: return 0x4af;
    case 0x30c4: return 0x4c2;
    case 0x30c6: return 0x4c3;
    case 0x30c8: return 0x4c4;
    case 0x30ca: return 0x4c5;
    case 0x30cb: return 0x4c6;
    case 0x30cc: return 0x4c7;
    case 0x30cd: return 0x4c8;
    case 0x30ce: return 0x4c9;
    case 0x30cf: return 0x4ca;
    case 0x30d2: return 0x4cb;
    case 0x30d5: return 0x4cc;
    case 0x30d8: return 0x4cd;
    case 0x30db: return 0x4ce;
    case 0x30de: return 0x4cf;
    case 0x30df: return 0x4d0;
    case 0x30e0: return 0x4d1;
    case 0x30e1: return 0x4d2;
    case 0x30e2: return 0x4d3;
    case 0x30e3: return 0x4ac;
    case 0x30e4: return 0x4d4;
    case 0x30e5: return 0x4ad;
    case 0x30e6: return 0x4d5;
    case 0x30e7: return 0x4ae;
    case 0x30e8: return 0x4d6;
    case 0x30e9: return 0x4d7;
    case 0x30ea: return 0x4d8;
    case 0x30eb: return 0x4d9;
    case 0x30ec: return 0x4da;
    case 0x30ed: return 0x4db;
    case 0x30ef: return 0x4dc;
    case 0x30f2: return 0x4a6;
    case 0x30f3: return 0x4dd;
    case 0x30fb: return 0x4a5;
    case 0x30fc: return 0x4b0;
    default:
	return 0;
    }
}

wchar_t reverse_lookup_glyph_keysym(KeySym keysym)
{
    switch (keysym) {
    case 0x20: return 0x0020;
    case 0x21: return 0x0021;
    case 0x22: return 0x0022;
    case 0x23: return 0x0023;
    case 0x24: return 0x0024;
    case 0x25: return 0x0025;
    case 0x26: return 0x0026;
    case 0x27: return 0x0027;
    case 0x28: return 0x0028;
    case 0x29: return 0x0029;
    case 0x2a: return 0x002a;
    case 0x2b: return 0x002b;
    case 0x2c: return 0x002c;
    case 0x2d: return 0x002d;
    case 0x2e: return 0x002e;
    case 0x2f: return 0x002f;
    case 0x30: return 0x0030;
    case 0x31: return 0x0031;
    case 0x32: return 0x0032;
    case 0x33: return 0x0033;
    case 0x34: return 0x0034;
    case 0x35: return 0x0035;
    case 0x36: return 0x0036;
    case 0x37: return 0x0037;
    case 0x38: return 0x0038;
    case 0x39: return 0x0039;
    case 0x3a: return 0x003a;
    case 0x3b: return 0x003b;
    case 0x3c: return 0x003c;
    case 0x3d: return 0x003d;
    case 0x3e: return 0x003e;
    case 0x3f: return 0x003f;
    case 0x40: return 0x0040;
    case 0x41: return 0x0041;
    case 0x42: return 0x0042;
    case 0x43: return 0x0043;
    case 0x44: return 0x0044;
    case 0x45: return 0x0045;
    case 0x46: return 0x0046;
    case 0x47: return 0x0047;
    case 0x48: return 0x0048;
    case 0x49: return 0x0049;
    case 0x4a: return 0x004a;
    case 0x4b: return 0x004b;
    case 0x4c: return 0x004c;
    case 0x4d: return 0x004d;
    case 0x4e: return 0x004e;
    case 0x4f: return 0x004f;
    case 0x50: return 0x0050;
    case 0x51: return 0x0051;
    case 0x52: return 0x0052;
    case 0x53: return 0x0053;
    case 0x54: return 0x0054;
    case 0x55: return 0x0055;
    case 0x56: return 0x0056;
    case 0x57: return 0x0057;
    case 0x58: return 0x0058;
    case 0x59: return 0x0059;
    case 0x5a: return 0x005a;
    case 0x5b: return 0x005b;
    case 0x5c: return 0x005c;
    case 0x5d: return 0x005d;
    case 0x5e: return 0x005e;
    case 0x5f: return 0x005f;
    case 0x60: return 0x0060;
    case 0x61: return 0x0061;
    case 0x62: return 0x0062;
    case 0x63: return 0x0063;
    case 0x64: return 0x0064;
    case 0x65: return 0x0065;
    case 0x66: return 0x0066;
    case 0x67: return 0x0067;
    case 0x68: return 0x0068;
    case 0x69: return 0x0069;
    case 0x6a: return 0x006a;
    case 0x6b: return 0x006b;
    case 0x6c: return 0x006c;
    case 0x6d: return 0x006d;
    case 0x6e: return 0x006e;
    case 0x6f: return 0x006f;
    case 0x70: return 0x0070;
    case 0x71: return 0x0071;
    case 0x72: return 0x0072;
    case 0x73: return 0x0073;
    case 0x74: return 0x0074;
    case 0x75: return 0x0075;
    case 0x76: return 0x0076;
    case 0x77: return 0x0077;
    case 0x78: return 0x0078;
    case 0x79: return 0x0079;
    case 0x7a: return 0x007a;
    case 0x7b: return 0x007b;
    case 0x7c: return 0x007c;
    case 0x7d: return 0x007d;
    case 0x7e: return 0x007e;
    case 0xa0: return 0x00a0;
    case 0xa1: return 0x00a1;
    case 0xa2: return 0x00a2;
    case 0xa3: return 0x00a3;
    case 0xa4: return 0x00a4;
    case 0xa5: return 0x00a5;
    case 0xa6: return 0x00a6;
    case 0xa7: return 0x00a7;
    case 0xa8: return 0x00a8;
    case 0xa9: return 0x00a9;
    case 0xaa: return 0x00aa;
    case 0xab: return 0x00ab;
    case 0xac: return 0x00ac;
    case 0xad: return 0x00ad;
    case 0xae: return 0x00ae;
    case 0xaf: return 0x00af;
    case 0xb0: return 0x00b0;
    case 0xb1: return 0x00b1;
    case 0xb2: return 0x00b2;
    case 0xb3: return 0x00b3;
    case 0xb4: return 0x00b4;
    case 0xb5: return 0x00b5;
    case 0xb6: return 0x00b6;
    case 0xb7: return 0x00b7;
    case 0xb8: return 0x00b8;
    case 0xb9: return 0x00b9;
    case 0xba: return 0x00ba;
    case 0xbb: return 0x00bb;
    case 0xbc: return 0x00bc;
    case 0xbd: return 0x00bd;
    case 0xbe: return 0x00be;
    case 0xbf: return 0x00bf;
    case 0xc0: return 0x00c0;
    case 0xc1: return 0x00c1;
    case 0xc2: return 0x00c2;
    case 0xc3: return 0x00c3;
    case 0xc4: return 0x00c4;
    case 0xc5: return 0x00c5;
    case 0xc6: return 0x00c6;
    case 0xc7: return 0x00c7;
    case 0xc8: return 0x00c8;
    case 0xc9: return 0x00c9;
    case 0xca: return 0x00ca;
    case 0xcb: return 0x00cb;
    case 0xcc: return 0x00cc;
    case 0xcd: return 0x00cd;
    case 0xce: return 0x00ce;
    case 0xcf: return 0x00cf;
    case 0xd0: return 0x00d0;
    case 0xd1: return 0x00d1;
    case 0xd2: return 0x00d2;
    case 0xd3: return 0x00d3;
    case 0xd4: return 0x00d4;
    case 0xd5: return 0x00d5;
    case 0xd6: return 0x00d6;
    case 0xd7: return 0x00d7;
    case 0xd8: return 0x00d8;
    case 0xd9: return 0x00d9;
    case 0xda: return 0x00da;
    case 0xdb: return 0x00db;
    case 0xdc: return 0x00dc;
    case 0xdd: return 0x00dd;
    case 0xde: return 0x00de;
    case 0xdf: return 0x00df;
    case 0xe0: return 0x00e0;
    case 0xe1: return 0x00e1;
    case 0xe2: return 0x00e2;
    case 0xe3: return 0x00e3;
    case 0xe4: return 0x00e4;
    case 0xe5: return 0x00e5;
    case 0xe6: return 0x00e6;
    case 0xe7: return 0x00e7;
    case 0xe8: return 0x00e8;
    case 0xe9: return 0x00e9;
    case 0xea: return 0x00ea;
    case 0xeb: return 0x00eb;
    case 0xec: return 0x00ec;
    case 0xed: return 0x00ed;
    case 0xee: return 0x00ee;
    case 0xef: return 0x00ef;
    case 0xf0: return 0x00f0;
    case 0xf1: return 0x00f1;
    case 0xf2: return 0x00f2;
    case 0xf3: return 0x00f3;
    case 0xf4: return 0x00f4;
    case 0xf5: return 0x00f5;
    case 0xf6: return 0x00f6;
    case 0xf7: return 0x00f7;
    case 0xf8: return 0x00f8;
    case 0xf9: return 0x00f9;
    case 0xfa: return 0x00fa;
    case 0xfb: return 0x00fb;
    case 0xfc: return 0x00fc;
    case 0xfd: return 0x00fd;
    case 0xfe: return 0x00fe;
    case 0xff: return 0x00ff;
    case 0x1a1: return 0x0104;
    case 0x1a2: return 0x02d8;
    case 0x1a3: return 0x0141;
    case 0x1a5: return 0x013d;
    case 0x1a6: return 0x015a;
    case 0x1a9: return 0x0160;
    case 0x1aa: return 0x015e;
    case 0x1ab: return 0x0164;
    case 0x1ac: return 0x0179;
    case 0x1ae: return 0x017d;
    case 0x1af: return 0x017b;
    case 0x1b1: return 0x0105;
    case 0x1b2: return 0x02db;
    case 0x1b3: return 0x0142;
    case 0x1b5: return 0x013e;
    case 0x1b6: return 0x015b;
    case 0x1b7: return 0x02c7;
    case 0x1b9: return 0x0161;
    case 0x1ba: return 0x015f;
    case 0x1bb: return 0x0165;
    case 0x1bc: return 0x017a;
    case 0x1bd: return 0x02dd;
    case 0x1be: return 0x017e;
    case 0x1bf: return 0x017c;
    case 0x1c0: return 0x0154;
    case 0x1c3: return 0x0102;
    case 0x1c5: return 0x0139;
    case 0x1c6: return 0x0106;
    case 0x1c8: return 0x010c;
    case 0x1ca: return 0x0118;
    case 0x1cc: return 0x011a;
    case 0x1cf: return 0x010e;
    case 0x1d0: return 0x0110;
    case 0x1d1: return 0x0143;
    case 0x1d2: return 0x0147;
    case 0x1d5: return 0x0150;
    case 0x1d8: return 0x0158;
    case 0x1d9: return 0x016e;
    case 0x1db: return 0x0170;
    case 0x1de: return 0x0162;
    case 0x1e0: return 0x0155;
    case 0x1e3: return 0x0103;
    case 0x1e5: return 0x013a;
    case 0x1e6: return 0x0107;
    case 0x1e8: return 0x010d;
    case 0x1ea: return 0x0119;
    case 0x1ec: return 0x011b;
    case 0x1ef: return 0x010f;
    case 0x1f0: return 0x0111;
    case 0x1f1: return 0x0144;
    case 0x1f2: return 0x0148;
    case 0x1f5: return 0x0151;
    case 0x1f8: return 0x0159;
    case 0x1f9: return 0x016f;
    case 0x1fb: return 0x0171;
    case 0x1fe: return 0x0163;
    case 0x1ff: return 0x02d9;
    case 0x2a1: return 0x0126;
    case 0x2a6: return 0x0124;
    case 0x2a9: return 0x0130;
    case 0x2ab: return 0x011e;
    case 0x2ac: return 0x0134;
    case 0x2b1: return 0x0127;
    case 0x2b6: return 0x0125;
    case 0x2b9: return 0x0131;
    case 0x2bb: return 0x011f;
    case 0x2bc: return 0x0135;
    case 0x2c5: return 0x010a;
    case 0x2c6: return 0x0108;
    case 0x2d5: return 0x0120;
    case 0x2d8: return 0x011c;
    case 0x2dd: return 0x016c;
    case 0x2de: return 0x015c;
    case 0x2e5: return 0x010b;
    case 0x2e6: return 0x0109;
    case 0x2f5: return 0x0121;
    case 0x2f8: return 0x011d;
    case 0x2fd: return 0x016d;
    case 0x2fe: return 0x015d;
    case 0x3a2: return 0x0138;
    case 0x3a3: return 0x0156;
    case 0x3a5: return 0x0128;
    case 0x3a6: return 0x013b;
    case 0x3aa: return 0x0112;
    case 0x3ab: return 0x0122;
    case 0x3ac: return 0x0166;
    case 0x3b3: return 0x0157;
    case 0x3b5: return 0x0129;
    case 0x3b6: return 0x013c;
    case 0x3ba: return 0x0113;
    case 0x3bb: return 0x0123;
    case 0x3bc: return 0x0167;
    case 0x3bd: return 0x014a;
    case 0x3bf: return 0x014b;
    case 0x3c0: return 0x0100;
    case 0x3c7: return 0x012e;
    case 0x3cc: return 0x0116;
    case 0x3cf: return 0x012a;
    case 0x3d1: return 0x0145;
    case 0x3d2: return 0x014c;
    case 0x3d3: return 0x0136;
    case 0x3d9: return 0x0172;
    case 0x3dd: return 0x0168;
    case 0x3de: return 0x016a;
    case 0x3e0: return 0x0101;
    case 0x3e7: return 0x012f;
    case 0x3ec: return 0x0117;
    case 0x3ef: return 0x012b;
    case 0x3f1: return 0x0146;
    case 0x3f2: return 0x014d;
    case 0x3f3: return 0x0137;
    case 0x3f9: return 0x0173;
    case 0x3fd: return 0x0169;
    case 0x3fe: return 0x016b;
    case 0x47e: return 0x203e;
    case 0x4a1: return 0x3002;
    case 0x4a2: return 0x300c;
    case 0x4a3: return 0x300d;
    case 0x4a4: return 0x3001;
    case 0x4a5: return 0x30fb;
    case 0x4a6: return 0x30f2;
    case 0x4a7: return 0x30a1;
    case 0x4a8: return 0x30a3;
    case 0x4a9: return 0x30a5;
    case 0x4aa: return 0x30a7;
    case 0x4ab: return 0x30a9;
    case 0x4ac: return 0x30e3;
    case 0x4ad: return 0x30e5;
    case 0x4ae: return 0x30e7;
    case 0x4af: return 0x30c3;
    case 0x4b0: return 0x30fc;
    case 0x4b1: return 0x30a2;
    case 0x4b2: return 0x30a4;
    case 0x4b3: return 0x30a6;
    case 0x4b4: return 0x30a8;
    case 0x4b5: return 0x30aa;
    case 0x4b6: return 0x30ab;
    case 0x4b7: return 0x30ad;
    case 0x4b8: return 0x30af;
    case 0x4b9: return 0x30b1;
    case 0x4ba: return 0x30b3;
    case 0x4bb: return 0x30b5;
    case 0x4bc: return 0x30b7;
    case 0x4bd: return 0x30b9;
    case 0x4be: return 0x30bb;
    case 0x4bf: return 0x30bd;
    case 0x4c0: return 0x30bf;
    case 0x4c1: return 0x30c1;
    case 0x4c2: return 0x30c4;
    case 0x4c3: return 0x30c6;
    case 0x4c4: return 0x30c8;
    case 0x4c5: return 0x30ca;
    case 0x4c6: return 0x30cb;
    case 0x4c7: return 0x30cc;
    case 0x4c8: return 0x30cd;
    case 0x4c9: return 0x30ce;
    case 0x4ca: return 0x30cf;
    case 0x4cb: return 0x30d2;
    case 0x4cc: return 0x30d5;
    case 0x4cd: return 0x30d8;
    case 0x4ce: return 0x30db;
    case 0x4cf: return 0x30de;
    case 0x4d0: return 0x30df;
    case 0x4d1: return 0x30e0;
    case 0x4d2: return 0x30e1;
    case 0x4d3: return 0x30e2;
    case 0x4d4: return 0x30e4;
    case 0x4d5: return 0x30e6;
    case 0x4d6: return 0x30e8;
    case 0x4d7: return 0x30e9;
    case 0x4d8: return 0x30ea;
    case 0x4d9: return 0x30eb;
    case 0x4da: return 0x30ec;
    case 0x4db: return 0x30ed;
    case 0x4dc: return 0x30ef;
    case 0x4dd: return 0x30f3;
    case 0x4de: return 0x309b;
    case 0x4df: return 0x309c;
    case 0x5ac: return 0x060c;
    case 0x5bb: return 0x061b;
    case 0x5bf: return 0x061f;
    case 0x5c1: return 0x0621;
    case 0x5c2: return 0x0622;
    case 0x5c3: return 0x0623;
    case 0x5c4: return 0x0624;
    case 0x5c5: return 0x0625;
    case 0x5c6: return 0x0626;
    case 0x5c7: return 0x0627;
    case 0x5c8: return 0x0628;
    case 0x5c9: return 0x0629;
    case 0x5ca: return 0x062a;
    case 0x5cb: return 0x062b;
    case 0x5cc: return 0x062c;
    case 0x5cd: return 0x062d;
    case 0x5ce: return 0x062e;
    case 0x5cf: return 0x062f;
    case 0x5d0: return 0x0630;
    case 0x5d1: return 0x0631;
    case 0x5d2: return 0x0632;
    case 0x5d3: return 0x0633;
    case 0x5d4: return 0x0634;
    case 0x5d5: return 0x0635;
    case 0x5d6: return 0x0636;
    case 0x5d7: return 0x0637;
    case 0x5d8: return 0x0638;
    case 0x5d9: return 0x0639;
    case 0x5da: return 0x063a;
    case 0x5e0: return 0x0640;
    case 0x5e1: return 0x0641;
    case 0x5e2: return 0x0642;
    case 0x5e3: return 0x0643;
    case 0x5e4: return 0x0644;
    case 0x5e5: return 0x0645;
    case 0x5e6: return 0x0646;
    case 0x5e7: return 0x0647;
    case 0x5e8: return 0x0648;
    case 0x5e9: return 0x0649;
    case 0x5ea: return 0x064a;
    case 0x5eb: return 0x064b;
    case 0x5ec: return 0x064c;
    case 0x5ed: return 0x064d;
    case 0x5ee: return 0x064e;
    case 0x5ef: return 0x064f;
    case 0x5f0: return 0x0650;
    case 0x5f1: return 0x0651;
    case 0x5f2: return 0x0652;
    case 0x6a1: return 0x0452;
    case 0x6a2: return 0x0453;
    case 0x6a3: return 0x0451;
    case 0x6a4: return 0x0454;
    case 0x6a5: return 0x0455;
    case 0x6a6: return 0x0456;
    case 0x6a7: return 0x0457;
    case 0x6a8: return 0x0458;
    case 0x6a9: return 0x0459;
    case 0x6aa: return 0x045a;
    case 0x6ab: return 0x045b;
    case 0x6ac: return 0x045c;
    case 0x6ad: return 0x0491;
    case 0x6ae: return 0x045e;
    case 0x6af: return 0x045f;
    case 0x6b0: return 0x2116;
    case 0x6b1: return 0x0402;
    case 0x6b2: return 0x0403;
    case 0x6b3: return 0x0401;
    case 0x6b4: return 0x0404;
    case 0x6b5: return 0x0405;
    case 0x6b6: return 0x0406;
    case 0x6b7: return 0x0407;
    case 0x6b8: return 0x0408;
    case 0x6b9: return 0x0409;
    case 0x6ba: return 0x040a;
    case 0x6bb: return 0x040b;
    case 0x6bc: return 0x040c;
    case 0x6bd: return 0x0490;
    case 0x6be: return 0x040e;
    case 0x6bf: return 0x040f;
    case 0x6c0: return 0x044e;
    case 0x6c1: return 0x0430;
    case 0x6c2: return 0x0431;
    case 0x6c3: return 0x0446;
    case 0x6c4: return 0x0434;
    case 0x6c5: return 0x0435;
    case 0x6c6: return 0x0444;
    case 0x6c7: return 0x0433;
    case 0x6c8: return 0x0445;
    case 0x6c9: return 0x0438;
    case 0x6ca: return 0x0439;
    case 0x6cb: return 0x043a;
    case 0x6cc: return 0x043b;
    case 0x6cd: return 0x043c;
    case 0x6ce: return 0x043d;
    case 0x6cf: return 0x043e;
    case 0x6d0: return 0x043f;
    case 0x6d1: return 0x044f;
    case 0x6d2: return 0x0440;
    case 0x6d3: return 0x0441;
    case 0x6d4: return 0x0442;
    case 0x6d5: return 0x0443;
    case 0x6d6: return 0x0436;
    case 0x6d7: return 0x0432;
    case 0x6d8: return 0x044c;
    case 0x6d9: return 0x044b;
    case 0x6da: return 0x0437;
    case 0x6db: return 0x0448;
    case 0x6dc: return 0x044d;
    case 0x6dd: return 0x0449;
    case 0x6de: return 0x0447;
    case 0x6df: return 0x044a;
    case 0x6e0: return 0x042e;
    case 0x6e1: return 0x0410;
    case 0x6e2: return 0x0411;
    case 0x6e3: return 0x0426;
    case 0x6e4: return 0x0414;
    case 0x6e5: return 0x0415;
    case 0x6e6: return 0x0424;
    case 0x6e7: return 0x0413;
    case 0x6e8: return 0x0425;
    case 0x6e9: return 0x0418;
    case 0x6ea: return 0x0419;
    case 0x6eb: return 0x041a;
    case 0x6ec: return 0x041b;
    case 0x6ed: return 0x041c;
    case 0x6ee: return 0x041d;
    case 0x6ef: return 0x041e;
    case 0x6f0: return 0x041f;
    case 0x6f1: return 0x042f;
    case 0x6f2: return 0x0420;
    case 0x6f3: return 0x0421;
    case 0x6f4: return 0x0422;
    case 0x6f5: return 0x0423;
    case 0x6f6: return 0x0416;
    case 0x6f7: return 0x0412;
    case 0x6f8: return 0x042c;
    case 0x6f9: return 0x042b;
    case 0x6fa: return 0x0417;
    case 0x6fb: return 0x0428;
    case 0x6fc: return 0x042d;
    case 0x6fd: return 0x0429;
    case 0x6fe: return 0x0427;
    case 0x6ff: return 0x042a;
    case 0x7a1: return 0x0386;
    case 0x7a2: return 0x0388;
    case 0x7a3: return 0x0389;
    case 0x7a4: return 0x038a;
    case 0x7a5: return 0x03aa;
    case 0x7a7: return 0x038c;
    case 0x7a8: return 0x038e;
    case 0x7a9: return 0x03ab;
    case 0x7ab: return 0x038f;
    case 0x7ae: return 0x0385;
    case 0x7af: return 0x2015;
    case 0x7b1: return 0x03ac;
    case 0x7b2: return 0x03ad;
    case 0x7b3: return 0x03ae;
    case 0x7b4: return 0x03af;
    case 0x7b5: return 0x03ca;
    case 0x7b6: return 0x0390;
    case 0x7b7: return 0x03cc;
    case 0x7b8: return 0x03cd;
    case 0x7b9: return 0x03cb;
    case 0x7ba: return 0x03b0;
    case 0x7bb: return 0x03ce;
    case 0x7c1: return 0x0391;
    case 0x7c2: return 0x0392;
    case 0x7c3: return 0x0393;
    case 0x7c4: return 0x0394;
    case 0x7c5: return 0x0395;
    case 0x7c6: return 0x0396;
    case 0x7c7: return 0x0397;
    case 0x7c8: return 0x0398;
    case 0x7c9: return 0x0399;
    case 0x7ca: return 0x039a;
    case 0x7cb: return 0x039b;
    case 0x7cc: return 0x039c;
    case 0x7cd: return 0x039d;
    case 0x7ce: return 0x039e;
    case 0x7cf: return 0x039f;
    case 0x7d0: return 0x03a0;
    case 0x7d1: return 0x03a1;
    case 0x7d2: return 0x03a3;
    case 0x7d4: return 0x03a4;
    case 0x7d5: return 0x03a5;
    case 0x7d6: return 0x03a6;
    case 0x7d7: return 0x03a7;
    case 0x7d8: return 0x03a8;
    case 0x7d9: return 0x03a9;
    case 0x7e1: return 0x03b1;
    case 0x7e2: return 0x03b2;
    case 0x7e3: return 0x03b3;
    case 0x7e4: return 0x03b4;
    case 0x7e5: return 0x03b5;
    case 0x7e6: return 0x03b6;
    case 0x7e7: return 0x03b7;
    case 0x7e8: return 0x03b8;
    case 0x7e9: return 0x03b9;
    case 0x7ea: return 0x03ba;
    case 0x7eb: return 0x03bb;
    case 0x7ec: return 0x03bc;
    case 0x7ed: return 0x03bd;
    case 0x7ee: return 0x03be;
    case 0x7ef: return 0x03bf;
    case 0x7f0: return 0x03c0;
    case 0x7f1: return 0x03c1;
    case 0x7f2: return 0x03c3;
    case 0x7f3: return 0x03c2;
    case 0x7f4: return 0x03c4;
    case 0x7f5: return 0x03c5;
    case 0x7f6: return 0x03c6;
    case 0x7f7: return 0x03c7;
    case 0x7f8: return 0x03c8;
    case 0x7f9: return 0x03c9;
    case 0x8a1: return 0x23b7;
    case 0x8a2: return 0x250c;
    case 0x8a3: return 0x2500;
    case 0x8a4: return 0x2320;
    case 0x8a5: return 0x2321;
    case 0x8a6: return 0x2502;
    case 0x8a7: return 0x23a1;
    case 0x8a8: return 0x23a3;
    case 0x8a9: return 0x23a4;
    case 0x8aa: return 0x23a6;
    case 0x8ab: return 0x239b;
    case 0x8ac: return 0x239d;
    case 0x8ad: return 0x239e;
    case 0x8ae: return 0x23a0;
    case 0x8af: return 0x23a8;
    case 0x8b0: return 0x23ac;
    case 0x8bc: return 0x2264;
    case 0x8bd: return 0x2260;
    case 0x8be: return 0x2265;
    case 0x8bf: return 0x222b;
    case 0x8c0: return 0x2234;
    case 0x8c1: return 0x221d;
    case 0x8c2: return 0x221e;
    case 0x8c5: return 0x2207;
    case 0x8c8: return 0x223c;
    case 0x8c9: return 0x2243;
    case 0x8cd: return 0x21d4;
    case 0x8ce: return 0x21d2;
    case 0x8cf: return 0x2261;
    case 0x8d6: return 0x221a;
    case 0x8da: return 0x2282;
    case 0x8db: return 0x2283;
    case 0x8dc: return 0x2229;
    case 0x8dd: return 0x222a;
    case 0x8de: return 0x2227;
    case 0x8df: return 0x2228;
    case 0x8ef: return 0x2202;
    case 0x8f6: return 0x0192;
    case 0x8fb: return 0x2190;
    case 0x8fc: return 0x2191;
    case 0x8fd: return 0x2192;
    case 0x8fe: return 0x2193;
    case 0x9e0: return 0x25c6;
    case 0x9e1: return 0x2592;
    case 0x9e2: return 0x2409;
    case 0x9e3: return 0x240c;
    case 0x9e4: return 0x240d;
    case 0x9e5: return 0x240a;
    case 0x9e8: return 0x2424;
    case 0x9e9: return 0x240b;
    case 0x9ea: return 0x2518;
    case 0x9eb: return 0x2510;
    case 0x9ec: return 0x250c;
    case 0x9ed: return 0x2514;
    case 0x9ee: return 0x253c;
    case 0x9ef: return 0x23ba;
    case 0x9f0: return 0x23bb;
    case 0x9f1: return 0x2500;
    case 0x9f2: return 0x23bc;
    case 0x9f3: return 0x23bd;
    case 0x9f4: return 0x251c;
    case 0x9f5: return 0x2524;
    case 0x9f6: return 0x2534;
    case 0x9f7: return 0x252c;
    case 0x9f8: return 0x2502;
    case 0xaa1: return 0x2003;
    case 0xaa2: return 0x2002;
    case 0xaa3: return 0x2004;
    case 0xaa4: return 0x2005;
    case 0xaa5: return 0x2007;
    case 0xaa6: return 0x2008;
    case 0xaa7: return 0x2009;
    case 0xaa8: return 0x200a;
    case 0xaa9: return 0x2014;
    case 0xaaa: return 0x2013;
    case 0xaac: return 0x2423;
    case 0xaae: return 0x2026;
    case 0xaaf: return 0x2025;
    case 0xab0: return 0x2153;
    case 0xab1: return 0x2154;
    case 0xab2: return 0x2155;
    case 0xab3: return 0x2156;
    case 0xab4: return 0x2157;
    case 0xab5: return 0x2158;
    case 0xab6: return 0x2159;
    case 0xab7: return 0x215a;
    case 0xab8: return 0x2105;
    case 0xabb: return 0x2012;
    case 0xabc: return 0x27e8;
    case 0xabd: return 0x002e;
    case 0xabe: return 0x27e9;
    case 0xac3: return 0x215b;
    case 0xac4: return 0x215c;
    case 0xac5: return 0x215d;
    case 0xac6: return 0x215e;
    case 0xac9: return 0x2122;
    case 0xaca: return 0x2613;
    case 0xacc: return 0x25c1;
    case 0xacd: return 0x25b7;
    case 0xace: return 0x25cb;
    case 0xacf: return 0x25af;
    case 0xad0: return 0x2018;
    case 0xad1: return 0x2019;
    case 0xad2: return 0x201c;
    case 0xad3: return 0x201d;
    case 0xad4: return 0x211e;
    case 0xad5: return 0x2030;
    case 0xad6: return 0x2032;
    case 0xad7: return 0x2033;
    case 0xad9: return 0x271d;
    case 0xadb: return 0x25ac;
    case 0xadc: return 0x25c0;
    case 0xadd: return 0x25b6;
    case 0xade: return 0x25cf;
    case 0xadf: return 0x25ae;
    case 0xae0: return 0x25e6;
    case 0xae1: return 0x25ab;
    case 0xae2: return 0x25ad;
    case 0xae3: return 0x25b3;
    case 0xae4: return 0x25bd;
    case 0xae5: return 0x2606;
    case 0xae6: return 0x2022;
    case 0xae7: return 0x25aa;
    case 0xae8: return 0x25b2;
    case 0xae9: return 0x25bc;
    case 0xaea: return 0x261c;
    case 0xaeb: return 0x261e;
    case 0xaec: return 0x2663;
    case 0xaed: return 0x2666;
    case 0xaee: return 0x2665;
    case 0xaf0: return 0x2720;
    case 0xaf1: return 0x2020;
    case 0xaf2: return 0x2021;
    case 0xaf3: return 0x2713;
    case 0xaf4: return 0x2717;
    case 0xaf5: return 0x266f;
    case 0xaf6: return 0x266d;
    case 0xaf7: return 0x2642;
    case 0xaf8: return 0x2640;
    case 0xaf9: return 0x260e;
    case 0xafa: return 0x2315;
    case 0xafb: return 0x2117;
    case 0xafc: return 0x2038;
    case 0xafd: return 0x201a;
    case 0xafe: return 0x201e;
    case 0xba3: return 0x003c;
    case 0xba6: return 0x003e;
    case 0xba8: return 0x2228;
    case 0xba9: return 0x2227;
    case 0xbc0: return 0x00af;
    case 0xbc2: return 0x22a4;
    case 0xbc3: return 0x2229;
    case 0xbc4: return 0x230a;
    case 0xbc6: return 0x005f;
    case 0xbca: return 0x2218;
    case 0xbcc: return 0x2395;
    case 0xbce: return 0x22a5;
    case 0xbcf: return 0x25cb;
    case 0xbd3: return 0x2308;
    case 0xbd6: return 0x222a;
    case 0xbd8: return 0x2283;
    case 0xbda: return 0x2282;
    case 0xbdc: return 0x22a3;
    case 0xbfc: return 0x22a2;
    case 0xcdf: return 0x2017;
    case 0xce0: return 0x05d0;
    case 0xce1: return 0x05d1;
    case 0xce2: return 0x05d2;
    case 0xce3: return 0x05d3;
    case 0xce4: return 0x05d4;
    case 0xce5: return 0x05d5;
    case 0xce6: return 0x05d6;
    case 0xce7: return 0x05d7;
    case 0xce8: return 0x05d8;
    case 0xce9: return 0x05d9;
    case 0xcea: return 0x05da;
    case 0xceb: return 0x05db;
    case 0xcec: return 0x05dc;
    case 0xced: return 0x05dd;
    case 0xcee: return 0x05de;
    case 0xcef: return 0x05df;
    case 0xcf0: return 0x05e0;
    case 0xcf1: return 0x05e1;
    case 0xcf2: return 0x05e2;
    case 0xcf3: return 0x05e3;
    case 0xcf4: return 0x05e4;
    case 0xcf5: return 0x05e5;
    case 0xcf6: return 0x05e6;
    case 0xcf7: return 0x05e7;
    case 0xcf8: return 0x05e8;
    case 0xcf9: return 0x05e9;
    case 0xcfa: return 0x05ea;
    case 0xda1: return 0x0e01;
    case 0xda2: return 0x0e02;
    case 0xda3: return 0x0e03;
    case 0xda4: return 0x0e04;
    case 0xda5: return 0x0e05;
    case 0xda6: return 0x0e06;
    case 0xda7: return 0x0e07;
    case 0xda8: return 0x0e08;
    case 0xda9: return 0x0e09;
    case 0xdaa: return 0x0e0a;
    case 0xdab: return 0x0e0b;
    case 0xdac: return 0x0e0c;
    case 0xdad: return 0x0e0d;
    case 0xdae: return 0x0e0e;
    case 0xdaf: return 0x0e0f;
    case 0xdb0: return 0x0e10;
    case 0xdb1: return 0x0e11;
    case 0xdb2: return 0x0e12;
    case 0xdb3: return 0x0e13;
    case 0xdb4: return 0x0e14;
    case 0xdb5: return 0x0e15;
    case 0xdb6: return 0x0e16;
    case 0xdb7: return 0x0e17;
    case 0xdb8: return 0x0e18;
    case 0xdb9: return 0x0e19;
    case 0xdba: return 0x0e1a;
    case 0xdbb: return 0x0e1b;
    case 0xdbc: return 0x0e1c;
    case 0xdbd: return 0x0e1d;
    case 0xdbe: return 0x0e1e;
    case 0xdbf: return 0x0e1f;
    case 0xdc0: return 0x0e20;
    case 0xdc1: return 0x0e21;
    case 0xdc2: return 0x0e22;
    case 0xdc3: return 0x0e23;
    case 0xdc4: return 0x0e24;
    case 0xdc5: return 0x0e25;
    case 0xdc6: return 0x0e26;
    case 0xdc7: return 0x0e27;
    case 0xdc8: return 0x0e28;
    case 0xdc9: return 0x0e29;
    case 0xdca: return 0x0e2a;
    case 0xdcb: return 0x0e2b;
    case 0xdcc: return 0x0e2c;
    case 0xdcd: return 0x0e2d;
    case 0xdce: return 0x0e2e;
    case 0xdcf: return 0x0e2f;
    case 0xdd0: return 0x0e30;
    case 0xdd1: return 0x0e31;
    case 0xdd2: return 0x0e32;
    case 0xdd3: return 0x0e33;
    case 0xdd4: return 0x0e34;
    case 0xdd5: return 0x0e35;
    case 0xdd6: return 0x0e36;
    case 0xdd7: return 0x0e37;
    case 0xdd8: return 0x0e38;
    case 0xdd9: return 0x0e39;
    case 0xdda: return 0x0e3a;
    case 0xddf: return 0x0e3f;
    case 0xde0: return 0x0e40;
    case 0xde1: return 0x0e41;
    case 0xde2: return 0x0e42;
    case 0xde3: return 0x0e43;
    case 0xde4: return 0x0e44;
    case 0xde5: return 0x0e45;
    case 0xde6: return 0x0e46;
    case 0xde7: return 0x0e47;
    case 0xde8: return 0x0e48;
    case 0xde9: return 0x0e49;
    case 0xdea: return 0x0e4a;
    case 0xdeb: return 0x0e4b;
    case 0xdec: return 0x0e4c;
    case 0xded: return 0x0e4d;
    case 0xdf0: return 0x0e50;
    case 0xdf1: return 0x0e51;
    case 0xdf2: return 0x0e52;
    case 0xdf3: return 0x0e53;
    case 0xdf4: return 0x0e54;
    case 0xdf5: return 0x0e55;
    case 0xdf6: return 0x0e56;
    case 0xdf7: return 0x0e57;
    case 0xdf8: return 0x0e58;
    case 0xdf9: return 0x0e59;
    case 0xeff: return 0x20a9;
    case 0x13bc: return 0x0152;
    case 0x13bd: return 0x0153;
    case 0x13be: return 0x0178;
    case 0x20ac: return 0x20ac;
    case 0x100012c: return 0x012c;
    case 0x100012d: return 0x012d;
    case 0x1000174: return 0x0174;
    case 0x1000175: return 0x0175;
    case 0x1000176: return 0x0176;
    case 0x1000177: return 0x0177;
    case 0x100018f: return 0x018f;
    case 0x100019f: return 0x019f;
    case 0x10001a0: return 0x01a0;
    case 0x10001a1: return 0x01a1;
    case 0x10001af: return 0x01af;
    case 0x10001b0: return 0x01b0;
    case 0x10001b5: return 0x01b5;
    case 0x10001b6: return 0x01b6;
    case 0x10001b7: return 0x01b7;
    case 0x10001d1: return 0x01d2;
    case 0x10001d2: return 0x01d2;
    case 0x10001e6: return 0x01e6;
    case 0x10001e7: return 0x01e7;
    case 0x1000259: return 0x0259;
    case 0x1000275: return 0x0275;
    case 0x1000292: return 0x0292;
    case 0x1000492: return 0x0492;
    case 0x1000493: return 0x0493;
    case 0x1000496: return 0x0496;
    case 0x1000497: return 0x0497;
    case 0x100049a: return 0x049a;
    case 0x100049b: return 0x049b;
    case 0x100049c: return 0x049c;
    case 0x100049d: return 0x049d;
    case 0x10004a2: return 0x04a2;
    case 0x10004a3: return 0x04a3;
    case 0x10004ae: return 0x04ae;
    case 0x10004af: return 0x04af;
    case 0x10004b0: return 0x04b0;
    case 0x10004b1: return 0x04b1;
    case 0x10004b2: return 0x04b2;
    case 0x10004b3: return 0x04b3;
    case 0x10004b6: return 0x04b6;
    case 0x10004b7: return 0x04b7;
    case 0x10004b8: return 0x04b8;
    case 0x10004b9: return 0x04b9;
    case 0x10004ba: return 0x04ba;
    case 0x10004bb: return 0x04bb;
    case 0x10004d8: return 0x04d8;
    case 0x10004d9: return 0x04d9;
    case 0x10004e2: return 0x04e2;
    case 0x10004e3: return 0x04e3;
    case 0x10004e8: return 0x04e8;
    case 0x10004e9: return 0x04e9;
    case 0x10004ee: return 0x04ee;
    case 0x10004ef: return 0x04ef;
    case 0x1000531: return 0x0531;
    case 0x1000532: return 0x0532;
    case 0x1000533: return 0x0533;
    case 0x1000534: return 0x0534;
    case 0x1000535: return 0x0535;
    case 0x1000536: return 0x0536;
    case 0x1000537: return 0x0537;
    case 0x1000538: return 0x0538;
    case 0x1000539: return 0x0539;
    case 0x100053a: return 0x053a;
    case 0x100053b: return 0x053b;
    case 0x100053c: return 0x053c;
    case 0x100053d: return 0x053d;
    case 0x100053e: return 0x053e;
    case 0x100053f: return 0x053f;
    case 0x1000540: return 0x0540;
    case 0x1000541: return 0x0541;
    case 0x1000542: return 0x0542;
    case 0x1000543: return 0x0543;
    case 0x1000544: return 0x0544;
    case 0x1000545: return 0x0545;
    case 0x1000546: return 0x0546;
    case 0x1000547: return 0x0547;
    case 0x1000548: return 0x0548;
    case 0x1000549: return 0x0549;
    case 0x100054a: return 0x054a;
    case 0x100054b: return 0x054b;
    case 0x100054c: return 0x054c;
    case 0x100054d: return 0x054d;
    case 0x100054e: return 0x054e;
    case 0x100054f: return 0x054f;
    case 0x1000550: return 0x0550;
    case 0x1000551: return 0x0551;
    case 0x1000552: return 0x0552;
    case 0x1000553: return 0x0553;
    case 0x1000554: return 0x0554;
    case 0x1000555: return 0x0555;
    case 0x1000556: return 0x0556;
    case 0x100055a: return 0x055a;
    case 0x100055b: return 0x055b;
    case 0x100055c: return 0x055c;
    case 0x100055d: return 0x055d;
    case 0x100055e: return 0x055e;
    case 0x1000561: return 0x0561;
    case 0x1000562: return 0x0562;
    case 0x1000563: return 0x0563;
    case 0x1000564: return 0x0564;
    case 0x1000565: return 0x0565;
    case 0x1000566: return 0x0566;
    case 0x1000567: return 0x0567;
    case 0x1000568: return 0x0568;
    case 0x1000569: return 0x0569;
    case 0x100056a: return 0x056a;
    case 0x100056b: return 0x056b;
    case 0x100056c: return 0x056c;
    case 0x100056d: return 0x056d;
    case 0x100056e: return 0x056e;
    case 0x100056f: return 0x056f;
    case 0x1000570: return 0x0570;
    case 0x1000571: return 0x0571;
    case 0x1000572: return 0x0572;
    case 0x1000573: return 0x0573;
    case 0x1000574: return 0x0574;
    case 0x1000575: return 0x0575;
    case 0x1000576: return 0x0576;
    case 0x1000577: return 0x0577;
    case 0x1000578: return 0x0578;
    case 0x1000579: return 0x0579;
    case 0x100057a: return 0x057a;
    case 0x100057b: return 0x057b;
    case 0x100057c: return 0x057c;
    case 0x100057d: return 0x057d;
    case 0x100057e: return 0x057e;
    case 0x100057f: return 0x057f;
    case 0x1000580: return 0x0580;
    case 0x1000581: return 0x0581;
    case 0x1000582: return 0x0582;
    case 0x1000583: return 0x0583;
    case 0x1000584: return 0x0584;
    case 0x1000585: return 0x0585;
    case 0x1000586: return 0x0586;
    case 0x1000587: return 0x0587;
    case 0x1000589: return 0x0589;
    case 0x100058a: return 0x058a;
    case 0x1000653: return 0x0653;
    case 0x1000654: return 0x0654;
    case 0x1000655: return 0x0655;
    case 0x1000660: return 0x0660;
    case 0x1000661: return 0x0661;
    case 0x1000662: return 0x0662;
    case 0x1000663: return 0x0663;
    case 0x1000664: return 0x0664;
    case 0x1000665: return 0x0665;
    case 0x1000666: return 0x0666;
    case 0x1000667: return 0x0667;
    case 0x1000668: return 0x0668;
    case 0x1000669: return 0x0669;
    case 0x100066a: return 0x066a;
    case 0x1000670: return 0x0670;
    case 0x1000679: return 0x0679;
    case 0x100067e: return 0x067e;
    case 0x1000686: return 0x0686;
    case 0x1000688: return 0x0688;
    case 0x1000691: return 0x0691;
    case 0x1000698: return 0x0698;
    case 0x10006a4: return 0x06a4;
    case 0x10006a9: return 0x06a9;
    case 0x10006af: return 0x06af;
    case 0x10006ba: return 0x06ba;
    case 0x10006be: return 0x06be;
    case 0x10006c1: return 0x06c1;
    case 0x10006cc: return 0x06cc;
    case 0x10006d2: return 0x06d2;
    case 0x10006d4: return 0x06d4;
    case 0x10006f0: return 0x06f0;
    case 0x10006f1: return 0x06f1;
    case 0x10006f2: return 0x06f2;
    case 0x10006f3: return 0x06f3;
    case 0x10006f4: return 0x06f4;
    case 0x10006f5: return 0x06f5;
    case 0x10006f6: return 0x06f6;
    case 0x10006f7: return 0x06f7;
    case 0x10006f8: return 0x06f8;
    case 0x10006f9: return 0x06f9;
    case 0x1000d82: return 0x0d82;
    case 0x1000d83: return 0x0d83;
    case 0x1000d85: return 0x0d85;
    case 0x1000d86: return 0x0d86;
    case 0x1000d87: return 0x0d87;
    case 0x1000d88: return 0x0d88;
    case 0x1000d89: return 0x0d89;
    case 0x1000d8a: return 0x0d8a;
    case 0x1000d8b: return 0x0d8b;
    case 0x1000d8c: return 0x0d8c;
    case 0x1000d8d: return 0x0d8d;
    case 0x1000d8e: return 0x0d8e;
    case 0x1000d8f: return 0x0d8f;
    case 0x1000d90: return 0x0d90;
    case 0x1000d91: return 0x0d91;
    case 0x1000d92: return 0x0d92;
    case 0x1000d93: return 0x0d93;
    case 0x1000d94: return 0x0d94;
    case 0x1000d95: return 0x0d95;
    case 0x1000d96: return 0x0d96;
    case 0x1000d9a: return 0x0d9a;
    case 0x1000d9b: return 0x0d9b;
    case 0x1000d9c: return 0x0d9c;
    case 0x1000d9d: return 0x0d9d;
    case 0x1000d9e: return 0x0d9e;
    case 0x1000d9f: return 0x0d9f;
    case 0x1000da0: return 0x0da0;
    case 0x1000da1: return 0x0da1;
    case 0x1000da2: return 0x0da2;
    case 0x1000da3: return 0x0da3;
    case 0x1000da4: return 0x0da4;
    case 0x1000da5: return 0x0da5;
    case 0x1000da6: return 0x0da6;
    case 0x1000da7: return 0x0da7;
    case 0x1000da8: return 0x0da8;
    case 0x1000da9: return 0x0da9;
    case 0x1000daa: return 0x0daa;
    case 0x1000dab: return 0x0dab;
    case 0x1000dac: return 0x0dac;
    case 0x1000dad: return 0x0dad;
    case 0x1000dae: return 0x0dae;
    case 0x1000daf: return 0x0daf;
    case 0x1000db0: return 0x0db0;
    case 0x1000db1: return 0x0db1;
    case 0x1000db3: return 0x0db3;
    case 0x1000db4: return 0x0db4;
    case 0x1000db5: return 0x0db5;
    case 0x1000db6: return 0x0db6;
    case 0x1000db7: return 0x0db7;
    case 0x1000db8: return 0x0db8;
    case 0x1000db9: return 0x0db9;
    case 0x1000dba: return 0x0dba;
    case 0x1000dbb: return 0x0dbb;
    case 0x1000dbd: return 0x0dbd;
    case 0x1000dc0: return 0x0dc0;
    case 0x1000dc1: return 0x0dc1;
    case 0x1000dc2: return 0x0dc2;
    case 0x1000dc3: return 0x0dc3;
    case 0x1000dc4: return 0x0dc4;
    case 0x1000dc5: return 0x0dc5;
    case 0x1000dc6: return 0x0dc6;
    case 0x1000dca: return 0x0dca;
    case 0x1000dcf: return 0x0dcf;
    case 0x1000dd0: return 0x0dd0;
    case 0x1000dd1: return 0x0dd1;
    case 0x1000dd2: return 0x0dd2;
    case 0x1000dd3: return 0x0dd3;
    case 0x1000dd4: return 0x0dd4;
    case 0x1000dd6: return 0x0dd6;
    case 0x1000dd8: return 0x0dd8;
    case 0x1000dd9: return 0x0dd9;
    case 0x1000dda: return 0x0dda;
    case 0x1000ddb: return 0x0ddb;
    case 0x1000ddc: return 0x0ddc;
    case 0x1000ddd: return 0x0ddd;
    case 0x1000dde: return 0x0dde;
    case 0x1000ddf: return 0x0ddf;
    case 0x1000df2: return 0x0df2;
    case 0x1000df3: return 0x0df3;
    case 0x1000df4: return 0x0df4;
    case 0x10010d0: return 0x10d0;
    case 0x10010d1: return 0x10d1;
    case 0x10010d2: return 0x10d2;
    case 0x10010d3: return 0x10d3;
    case 0x10010d4: return 0x10d4;
    case 0x10010d5: return 0x10d5;
    case 0x10010d6: return 0x10d6;
    case 0x10010d7: return 0x10d7;
    case 0x10010d8: return 0x10d8;
    case 0x10010d9: return 0x10d9;
    case 0x10010da: return 0x10da;
    case 0x10010db: return 0x10db;
    case 0x10010dc: return 0x10dc;
    case 0x10010dd: return 0x10dd;
    case 0x10010de: return 0x10de;
    case 0x10010df: return 0x10df;
    case 0x10010e0: return 0x10e0;
    case 0x10010e1: return 0x10e1;
    case 0x10010e2: return 0x10e2;
    case 0x10010e3: return 0x10e3;
    case 0x10010e4: return 0x10e4;
    case 0x10010e5: return 0x10e5;
    case 0x10010e6: return 0x10e6;
    case 0x10010e7: return 0x10e7;
    case 0x10010e8: return 0x10e8;
    case 0x10010e9: return 0x10e9;
    case 0x10010ea: return 0x10ea;
    case 0x10010eb: return 0x10eb;
    case 0x10010ec: return 0x10ec;
    case 0x10010ed: return 0x10ed;
    case 0x10010ee: return 0x10ee;
    case 0x10010ef: return 0x10ef;
    case 0x10010f0: return 0x10f0;
    case 0x10010f1: return 0x10f1;
    case 0x10010f2: return 0x10f2;
    case 0x10010f3: return 0x10f3;
    case 0x10010f4: return 0x10f4;
    case 0x10010f5: return 0x10f5;
    case 0x10010f6: return 0x10f6;
    case 0x1001e02: return 0x1e02;
    case 0x1001e03: return 0x1e03;
    case 0x1001e0a: return 0x1e0a;
    case 0x1001e0b: return 0x1e0b;
    case 0x1001e1e: return 0x1e1e;
    case 0x1001e1f: return 0x1e1f;
    case 0x1001e36: return 0x1e36;
    case 0x1001e37: return 0x1e37;
    case 0x1001e40: return 0x1e40;
    case 0x1001e41: return 0x1e41;
    case 0x1001e56: return 0x1e56;
    case 0x1001e57: return 0x1e57;
    case 0x1001e60: return 0x1e60;
    case 0x1001e61: return 0x1e61;
    case 0x1001e6a: return 0x1e6a;
    case 0x1001e6b: return 0x1e6b;
    case 0x1001e80: return 0x1e80;
    case 0x1001e81: return 0x1e81;
    case 0x1001e82: return 0x1e82;
    case 0x1001e83: return 0x1e83;
    case 0x1001e84: return 0x1e84;
    case 0x1001e85: return 0x1e85;
    case 0x1001e8a: return 0x1e8a;
    case 0x1001e8b: return 0x1e8b;
    case 0x1001ea0: return 0x1ea0;
    case 0x1001ea1: return 0x1ea1;
    case 0x1001ea2: return 0x1ea2;
    case 0x1001ea3: return 0x1ea3;
    case 0x1001ea4: return 0x1ea4;
    case 0x1001ea5: return 0x1ea5;
    case 0x1001ea6: return 0x1ea6;
    case 0x1001ea7: return 0x1ea7;
    case 0x1001ea8: return 0x1ea8;
    case 0x1001ea9: return 0x1ea9;
    case 0x1001eaa: return 0x1eaa;
    case 0x1001eab: return 0x1eab;
    case 0x1001eac: return 0x1eac;
    case 0x1001ead: return 0x1ead;
    case 0x1001eae: return 0x1eae;
    case 0x1001eaf: return 0x1eaf;
    case 0x1001eb0: return 0x1eb0;
    case 0x1001eb1: return 0x1eb1;
    case 0x1001eb2: return 0x1eb2;
    case 0x1001eb3: return 0x1eb3;
    case 0x1001eb4: return 0x1eb4;
    case 0x1001eb5: return 0x1eb5;
    case 0x1001eb6: return 0x1eb6;
    case 0x1001eb7: return 0x1eb7;
    case 0x1001eb8: return 0x1eb8;
    case 0x1001eb9: return 0x1eb9;
    case 0x1001eba: return 0x1eba;
    case 0x1001ebb: return 0x1ebb;
    case 0x1001ebc: return 0x1ebc;
    case 0x1001ebd: return 0x1ebd;
    case 0x1001ebe: return 0x1ebe;
    case 0x1001ebf: return 0x1ebf;
    case 0x1001ec0: return 0x1ec0;
    case 0x1001ec1: return 0x1ec1;
    case 0x1001ec2: return 0x1ec2;
    case 0x1001ec3: return 0x1ec3;
    case 0x1001ec4: return 0x1ec4;
    case 0x1001ec5: return 0x1ec5;
    case 0x1001ec6: return 0x1ec6;
    case 0x1001ec7: return 0x1ec7;
    case 0x1001ec8: return 0x1ec8;
    case 0x1001ec9: return 0x1ec9;
    case 0x1001eca: return 0x1eca;
    case 0x1001ecb: return 0x1ecb;
    case 0x1001ecc: return 0x1ecc;
    case 0x1001ecd: return 0x1ecd;
    case 0x1001ece: return 0x1ece;
    case 0x1001ecf: return 0x1ecf;
    case 0x1001ed0: return 0x1ed0;
    case 0x1001ed1: return 0x1ed1;
    case 0x1001ed2: return 0x1ed2;
    case 0x1001ed3: return 0x1ed3;
    case 0x1001ed4: return 0x1ed4;
    case 0x1001ed5: return 0x1ed5;
    case 0x1001ed6: return 0x1ed6;
    case 0x1001ed7: return 0x1ed7;
    case 0x1001ed8: return 0x1ed8;
    case 0x1001ed9: return 0x1ed9;
    case 0x1001eda: return 0x1eda;
    case 0x1001edb: return 0x1edb;
    case 0x1001edc: return 0x1edc;
    case 0x1001edd: return 0x1edd;
    case 0x1001ede: return 0x1ede;
    case 0x1001edf: return 0x1edf;
    case 0x1001ee0: return 0x1ee0;
    case 0x1001ee1: return 0x1ee1;
    case 0x1001ee2: return 0x1ee2;
    case 0x1001ee3: return 0x1ee3;
    case 0x1001ee4: return 0x1ee4;
    case 0x1001ee5: return 0x1ee5;
    case 0x1001ee6: return 0x1ee6;
    case 0x1001ee7: return 0x1ee7;
    case 0x1001ee8: return 0x1ee8;
    case 0x1001ee9: return 0x1ee9;
    case 0x1001eea: return 0x1eea;
    case 0x1001eeb: return 0x1eeb;
    case 0x1001eec: return 0x1eec;
    case 0x1001eed: return 0x1eed;
    case 0x1001eee: return 0x1eee;
    case 0x1001eef: return 0x1eef;
    case 0x1001ef0: return 0x1ef0;
    case 0x1001ef1: return 0x1ef1;
    case 0x1001ef2: return 0x1ef2;
    case 0x1001ef3: return 0x1ef3;
    case 0x1001ef4: return 0x1ef4;
    case 0x1001ef5: return 0x1ef5;
    case 0x1001ef6: return 0x1ef6;
    case 0x1001ef7: return 0x1ef7;
    case 0x1001ef8: return 0x1ef8;
    case 0x1001ef9: return 0x1ef9;
    case 0x1002070: return 0x2070;
    case 0x1002074: return 0x2074;
    case 0x1002075: return 0x2075;
    case 0x1002076: return 0x2076;
    case 0x1002077: return 0x2077;
    case 0x1002078: return 0x2078;
    case 0x1002079: return 0x2079;
    case 0x1002080: return 0x2080;
    case 0x1002081: return 0x2081;
    case 0x1002082: return 0x2082;
    case 0x1002083: return 0x2083;
    case 0x1002084: return 0x2084;
    case 0x1002085: return 0x2085;
    case 0x1002086: return 0x2086;
    case 0x1002087: return 0x2087;
    case 0x1002088: return 0x2088;
    case 0x1002089: return 0x2089;
    case 0x10020a0: return 0x20a0;
    case 0x10020a1: return 0x20a1;
    case 0x10020a2: return 0x20a2;
    case 0x10020a3: return 0x20a3;
    case 0x10020a4: return 0x20a4;
    case 0x10020a5: return 0x20a5;
    case 0x10020a6: return 0x20a6;
    case 0x10020a7: return 0x20a7;
    case 0x10020a8: return 0x20a8;
    case 0x10020a9: return 0x20a9;
    case 0x10020aa: return 0x20aa;
    case 0x10020ab: return 0x20ab;
    case 0x1002202: return 0x2202;
    case 0x1002205: return 0x2205;
    case 0x1002208: return 0x2208;
    case 0x1002209: return 0x2209;
    case 0x100220b: return 0x220b;
    case 0x100221a: return 0x221a;
    case 0x100221b: return 0x221b;
    case 0x100221c: return 0x221c;
    case 0x100222c: return 0x222c;
    case 0x100222d: return 0x222d;
    case 0x1002235: return 0x2235;
    case 0x1002247: return 0x2247;
    case 0x1002248: return 0x2245;
    case 0x1002262: return 0x2262;
    case 0x1002263: return 0x2263;
    case 0x1002800: return 0x2800;
    case 0x1002801: return 0x2801;
    case 0x1002802: return 0x2802;
    case 0x1002803: return 0x2803;
    case 0x1002804: return 0x2804;
    case 0x1002805: return 0x2805;
    case 0x1002806: return 0x2806;
    case 0x1002807: return 0x2807;
    case 0x1002808: return 0x2808;
    case 0x1002809: return 0x2809;
    case 0x100280a: return 0x280a;
    case 0x100280b: return 0x280b;
    case 0x100280c: return 0x280c;
    case 0x100280d: return 0x280d;
    case 0x100280e: return 0x280e;
    case 0x100280f: return 0x280f;
    case 0x1002810: return 0x2810;
    case 0x1002811: return 0x2811;
    case 0x1002812: return 0x2812;
    case 0x1002813: return 0x2813;
    case 0x1002814: return 0x2814;
    case 0x1002815: return 0x2815;
    case 0x1002816: return 0x2816;
    case 0x1002817: return 0x2817;
    case 0x1002818: return 0x2818;
    case 0x1002819: return 0x2819;
    case 0x100281a: return 0x281a;
    case 0x100281b: return 0x281b;
    case 0x100281c: return 0x281c;
    case 0x100281d: return 0x281d;
    case 0x100281e: return 0x281e;
    case 0x100281f: return 0x281f;
    case 0x1002820: return 0x2820;
    case 0x1002821: return 0x2821;
    case 0x1002822: return 0x2822;
    case 0x1002823: return 0x2823;
    case 0x1002824: return 0x2824;
    case 0x1002825: return 0x2825;
    case 0x1002826: return 0x2826;
    case 0x1002827: return 0x2827;
    case 0x1002828: return 0x2828;
    case 0x1002829: return 0x2829;
    case 0x100282a: return 0x282a;
    case 0x100282b: return 0x282b;
    case 0x100282c: return 0x282c;
    case 0x100282d: return 0x282d;
    case 0x100282e: return 0x282e;
    case 0x100282f: return 0x282f;
    case 0x1002830: return 0x2830;
    case 0x1002831: return 0x2831;
    case 0x1002832: return 0x2832;
    case 0x1002833: return 0x2833;
    case 0x1002834: return 0x2834;
    case 0x1002835: return 0x2835;
    case 0x1002836: return 0x2836;
    case 0x1002837: return 0x2837;
    case 0x1002838: return 0x2838;
    case 0x1002839: return 0x2839;
    case 0x100283a: return 0x283a;
    case 0x100283b: return 0x283b;
    case 0x100283c: return 0x283c;
    case 0x100283d: return 0x283d;
    case 0x100283e: return 0x283e;
    case 0x100283f: return 0x283f;
    case 0x1002840: return 0x2840;
    case 0x1002841: return 0x2841;
    case 0x1002842: return 0x2842;
    case 0x1002843: return 0x2843;
    case 0x1002844: return 0x2844;
    case 0x1002845: return 0x2845;
    case 0x1002846: return 0x2846;
    case 0x1002847: return 0x2847;
    case 0x1002848: return 0x2848;
    case 0x1002849: return 0x2849;
    case 0x100284a: return 0x284a;
    case 0x100284b: return 0x284b;
    case 0x100284c: return 0x284c;
    case 0x100284d: return 0x284d;
    case 0x100284e: return 0x284e;
    case 0x100284f: return 0x284f;
    case 0x1002850: return 0x2850;
    case 0x1002851: return 0x2851;
    case 0x1002852: return 0x2852;
    case 0x1002853: return 0x2853;
    case 0x1002854: return 0x2854;
    case 0x1002855: return 0x2855;
    case 0x1002856: return 0x2856;
    case 0x1002857: return 0x2857;
    case 0x1002858: return 0x2858;
    case 0x1002859: return 0x2859;
    case 0x100285a: return 0x285a;
    case 0x100285b: return 0x285b;
    case 0x100285c: return 0x285c;
    case 0x100285d: return 0x285d;
    case 0x100285e: return 0x285e;
    case 0x100285f: return 0x285f;
    case 0x1002860: return 0x2860;
    case 0x1002861: return 0x2861;
    case 0x1002862: return 0x2862;
    case 0x1002863: return 0x2863;
    case 0x1002864: return 0x2864;
    case 0x1002865: return 0x2865;
    case 0x1002866: return 0x2866;
    case 0x1002867: return 0x2867;
    case 0x1002868: return 0x2868;
    case 0x1002869: return 0x2869;
    case 0x100286a: return 0x286a;
    case 0x100286b: return 0x286b;
    case 0x100286c: return 0x286c;
    case 0x100286d: return 0x286d;
    case 0x100286e: return 0x286e;
    case 0x100286f: return 0x286f;
    case 0x1002870: return 0x2870;
    case 0x1002871: return 0x2871;
    case 0x1002872: return 0x2872;
    case 0x1002873: return 0x2873;
    case 0x1002874: return 0x2874;
    case 0x1002875: return 0x2875;
    case 0x1002876: return 0x2876;
    case 0x1002877: return 0x2877;
    case 0x1002878: return 0x2878;
    case 0x1002879: return 0x2879;
    case 0x100287a: return 0x287a;
    case 0x100287b: return 0x287b;
    case 0x100287c: return 0x287c;
    case 0x100287d: return 0x287d;
    case 0x100287e: return 0x287e;
    case 0x100287f: return 0x287f;
    case 0x1002880: return 0x2880;
    case 0x1002881: return 0x2881;
    case 0x1002882: return 0x2882;
    case 0x1002883: return 0x2883;
    case 0x1002884: return 0x2884;
    case 0x1002885: return 0x2885;
    case 0x1002886: return 0x2886;
    case 0x1002887: return 0x2887;
    case 0x1002888: return 0x2888;
    case 0x1002889: return 0x2889;
    case 0x100288a: return 0x288a;
    case 0x100288b: return 0x288b;
    case 0x100288c: return 0x288c;
    case 0x100288d: return 0x288d;
    case 0x100288e: return 0x288e;
    case 0x100288f: return 0x288f;
    case 0x1002890: return 0x2890;
    case 0x1002891: return 0x2891;
    case 0x1002892: return 0x2892;
    case 0x1002893: return 0x2893;
    case 0x1002894: return 0x2894;
    case 0x1002895: return 0x2895;
    case 0x1002896: return 0x2896;
    case 0x1002897: return 0x2897;
    case 0x1002898: return 0x2898;
    case 0x1002899: return 0x2899;
    case 0x100289a: return 0x289a;
    case 0x100289b: return 0x289b;
    case 0x100289c: return 0x289c;
    case 0x100289d: return 0x289d;
    case 0x100289e: return 0x289e;
    case 0x100289f: return 0x289f;
    case 0x10028a0: return 0x28a0;
    case 0x10028a1: return 0x28a1;
    case 0x10028a2: return 0x28a2;
    case 0x10028a3: return 0x28a3;
    case 0x10028a4: return 0x28a4;
    case 0x10028a5: return 0x28a5;
    case 0x10028a6: return 0x28a6;
    case 0x10028a7: return 0x28a7;
    case 0x10028a8: return 0x28a8;
    case 0x10028a9: return 0x28a9;
    case 0x10028aa: return 0x28aa;
    case 0x10028ab: return 0x28ab;
    case 0x10028ac: return 0x28ac;
    case 0x10028ad: return 0x28ad;
    case 0x10028ae: return 0x28ae;
    case 0x10028af: return 0x28af;
    case 0x10028b0: return 0x28b0;
    case 0x10028b1: return 0x28b1;
    case 0x10028b2: return 0x28b2;
    case 0x10028b3: return 0x28b3;
    case 0x10028b4: return 0x28b4;
    case 0x10028b5: return 0x28b5;
    case 0x10028b6: return 0x28b6;
    case 0x10028b7: return 0x28b7;
    case 0x10028b8: return 0x28b8;
    case 0x10028b9: return 0x28b9;
    case 0x10028ba: return 0x28ba;
    case 0x10028bb: return 0x28bb;
    case 0x10028bc: return 0x28bc;
    case 0x10028bd: return 0x28bd;
    case 0x10028be: return 0x28be;
    case 0x10028bf: return 0x28bf;
    case 0x10028c0: return 0x28c0;
    case 0x10028c1: return 0x28c1;
    case 0x10028c2: return 0x28c2;
    case 0x10028c3: return 0x28c3;
    case 0x10028c4: return 0x28c4;
    case 0x10028c5: return 0x28c5;
    case 0x10028c6: return 0x28c6;
    case 0x10028c7: return 0x28c7;
    case 0x10028c8: return 0x28c8;
    case 0x10028c9: return 0x28c9;
    case 0x10028ca: return 0x28ca;
    case 0x10028cb: return 0x28cb;
    case 0x10028cc: return 0x28cc;
    case 0x10028cd: return 0x28cd;
    case 0x10028ce: return 0x28ce;
    case 0x10028cf: return 0x28cf;
    case 0x10028d0: return 0x28d0;
    case 0x10028d1: return 0x28d1;
    case 0x10028d2: return 0x28d2;
    case 0x10028d3: return 0x28d3;
    case 0x10028d4: return 0x28d4;
    case 0x10028d5: return 0x28d5;
    case 0x10028d6: return 0x28d6;
    case 0x10028d7: return 0x28d7;
    case 0x10028d8: return 0x28d8;
    case 0x10028d9: return 0x28d9;
    case 0x10028da: return 0x28da;
    case 0x10028db: return 0x28db;
    case 0x10028dc: return 0x28dc;
    case 0x10028dd: return 0x28dd;
    case 0x10028de: return 0x28de;
    case 0x10028df: return 0x28df;
    case 0x10028e0: return 0x28e0;
    case 0x10028e1: return 0x28e1;
    case 0x10028e2: return 0x28e2;
    case 0x10028e3: return 0x28e3;
    case 0x10028e4: return 0x28e4;
    case 0x10028e5: return 0x28e5;
    case 0x10028e6: return 0x28e6;
    case 0x10028e7: return 0x28e7;
    case 0x10028e8: return 0x28e8;
    case 0x10028e9: return 0x28e9;
    case 0x10028ea: return 0x28ea;
    case 0x10028eb: return 0x28eb;
    case 0x10028ec: return 0x28ec;
    case 0x10028ed: return 0x28ed;
    case 0x10028ee: return 0x28ee;
    case 0x10028ef: return 0x28ef;
    case 0x10028f0: return 0x28f0;
    case 0x10028f1: return 0x28f1;
    case 0x10028f2: return 0x28f2;
    case 0x10028f3: return 0x28f3;
    case 0x10028f4: return 0x28f4;
    case 0x10028f5: return 0x28f5;
    case 0x10028f6: return 0x28f6;
    case 0x10028f7: return 0x28f7;
    case 0x10028f8: return 0x28f8;
    case 0x10028f9: return 0x28f9;
    case 0x10028fa: return 0x28fa;
    case 0x10028fb: return 0x28fb;
    case 0x10028fc: return 0x28fc;
    case 0x10028fd: return 0x28fd;
    case 0x10028fe: return 0x28fe;
    case 0x10028ff: return 0x28ff;
    default:
	return 0;
    }
}
