/* Copyright (C) 2013 Roland Lutz

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */

#ifndef ICONS_H
#define ICONS_H

class Icon;

namespace icons {
    extern Icon *const git;
    extern Icon *const rotate_cw;
    extern Icon *const rotate_ccw;
    extern Icon *const line_style;
    extern Icon *const line_width;
    extern Icon *const neverball;

    extern Icon *const new_file;
    extern Icon *const save;
    extern Icon *const new_folder;
    extern Icon *const commit;
    extern Icon *const save_all;
    extern Icon *const tree_node;
    extern Icon *const tree_leaf;

    extern Icon *const clear;
    extern Icon *const backward;
    extern Icon *const forward;

    extern Icon *const object_component;
    extern Icon *const object_net;
    extern Icon *const crosshairs;
    extern Icon *const object_bus;
    extern Icon *const erase;

    extern Icon *const add;
    extern Icon *const redo;
    extern Icon *const undo;
    extern Icon *const piece;
    extern Icon *const cursor;
    extern Icon *const remove;
    extern Icon *const folder;
    extern Icon *const add_folder;
    extern Icon *const font;
    extern Icon *const zoom_out;
    extern Icon *const zoom_in;
    extern Icon *const page_blue;
    extern Icon *const page;
    extern Icon *const add_page;
    extern Icon *const pages;
    extern Icon *const picture;
    extern Icon *const edit_tag;
    extern Icon *const input_line;
    extern Icon *const path;

    extern Icon *const failure;
    extern Icon *const success;
    extern Icon *const time;
    extern Icon *const color;
    extern Icon *const tools;
    extern Icon *const puzzle;
    extern Icon *const search_in_files;
    extern Icon *const favorite;
    extern Icon *const keyboard;
    extern Icon *const lock;
    extern Icon *const mail;
    extern Icon *const generic;
    extern Icon *const configure;
    extern Icon *const package;
    extern Icon *const quit;
    extern Icon *const video;
    extern Icon *const magnify;
    extern Icon *const backspace;
    extern Icon *const window_down;
    extern Icon *const window_up;
    extern Icon *const fullscreen;
    extern Icon *const resize;
    extern Icon *const attached;
    extern Icon *const windows;
    extern Icon *const eye;
}

#endif
