/* Copyright (C) 2013 Roland Lutz

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */

#ifndef NB_ACTION_H
#define NB_ACTION_H

#include "action.h"

class PathObject;

class ConnectPathAction : public Action
{
public:
    ConnectPathAction(PathObject *path0, PathObject *path1, Drawing *drawing);
    void apply();
    void unapply();

private:
    PathObject *const path0, *const path1_old, *const path1_new;
};

#endif
